//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QKEYSEQUENCE_H
#define C_QKEYSEQUENCE_H

C_EXPORT QKeySequenceH QKeySequence_create();
C_EXPORT void QKeySequence_destroy(QKeySequenceH handle);
C_EXPORT QKeySequenceH QKeySequence_create2(PWideString key);
C_EXPORT QKeySequenceH QKeySequence_create3(int k1, int k2, int k3, int k4);
C_EXPORT QKeySequenceH QKeySequence_create4(const QKeySequenceH ks);
C_EXPORT QKeySequenceH QKeySequence_create5(QKeySequence::StandardKey key);
C_EXPORT uint QKeySequence_count(QKeySequenceH handle);
C_EXPORT bool QKeySequence_isEmpty(QKeySequenceH handle);
C_EXPORT void QKeySequence_toString(QKeySequenceH handle, PWideString retval, QKeySequence::SequenceFormat format);
C_EXPORT void QKeySequence_fromString(QKeySequenceH retval, PWideString str, QKeySequence::SequenceFormat format);
C_EXPORT QKeySequence::SequenceMatch QKeySequence_matches(QKeySequenceH handle, const QKeySequenceH seq);
C_EXPORT void QKeySequence_mnemonic(QKeySequenceH retval, PWideString text);
C_EXPORT bool QKeySequence_isDetached(QKeySequenceH handle);

#endif
