//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QSTYLEOPTION_H
#define C_QSTYLEOPTION_H

C_EXPORT int QStyleOption_version(QStyleOptionH handle);
C_EXPORT void QStyleOption_setVersion(QStyleOptionH handle, int version);
C_EXPORT int QStyleOption_type(QStyleOptionH handle);
C_EXPORT void QStyleOption_setType(QStyleOptionH handle, int type);
C_EXPORT unsigned int QStyleOption_state(QStyleOptionH handle);
C_EXPORT void QStyleOption_setState(QStyleOptionH handle, unsigned int state);
C_EXPORT Qt::LayoutDirection QStyleOption_direction(QStyleOptionH handle);
C_EXPORT void QStyleOption_setDirection(QStyleOptionH handle, Qt::LayoutDirection direction);
C_EXPORT void QStyleOption_rect(QStyleOptionH handle, PRect retval);
C_EXPORT void QStyleOption_setRect(QStyleOptionH handle, PRect rect);
C_EXPORT void QStyleOption_fontMetrics(QStyleOptionH handle, QFontMetricsH retval);
C_EXPORT void QStyleOption_setFontMetrics(QStyleOptionH handle, QFontMetricsH fontMetrics);
C_EXPORT void QStyleOption_palette(QStyleOptionH handle, QPaletteH retval);
C_EXPORT void QStyleOption_setPalette(QStyleOptionH handle, QPaletteH palette);
C_EXPORT QStyleOptionH QStyleOption_create(int version, int type);
C_EXPORT void QStyleOption_destroy(QStyleOptionH handle);
C_EXPORT QStyleOptionH QStyleOption_create2(const QStyleOptionH other);
C_EXPORT void QStyleOption_init(QStyleOptionH handle, const QWidgetH w);
C_EXPORT void QStyleOption_initFrom(QStyleOptionH handle, const QWidgetH w);
C_EXPORT void QStyleOptionFocusRect_backgroundColor(QStyleOptionFocusRectH handle, PQColor retval);
C_EXPORT void QStyleOptionFocusRect_setBackgroundColor(QStyleOptionFocusRectH handle, PQColor backgroundColor);
C_EXPORT QStyleOptionFocusRectH QStyleOptionFocusRect_create();
C_EXPORT void QStyleOptionFocusRect_destroy(QStyleOptionFocusRectH handle);
C_EXPORT QStyleOptionFocusRectH QStyleOptionFocusRect_create2(const QStyleOptionFocusRectH other);
C_EXPORT int QStyleOptionFrame_lineWidth(QStyleOptionFrameH handle);
C_EXPORT void QStyleOptionFrame_setLineWidth(QStyleOptionFrameH handle, int lineWidth);
C_EXPORT int QStyleOptionFrame_midLineWidth(QStyleOptionFrameH handle);
C_EXPORT void QStyleOptionFrame_setMidLineWidth(QStyleOptionFrameH handle, int midLineWidth);
C_EXPORT QStyleOptionFrameH QStyleOptionFrame_create();
C_EXPORT void QStyleOptionFrame_destroy(QStyleOptionFrameH handle);
C_EXPORT QStyleOptionFrameH QStyleOptionFrame_create2(const QStyleOptionFrameH other);
C_EXPORT unsigned int QStyleOptionFrameV2_features(QStyleOptionFrameV2H handle);
C_EXPORT void QStyleOptionFrameV2_setFeatures(QStyleOptionFrameV2H handle, unsigned int features);
C_EXPORT QStyleOptionFrameV2H QStyleOptionFrameV2_create();
C_EXPORT void QStyleOptionFrameV2_destroy(QStyleOptionFrameV2H handle);
C_EXPORT QStyleOptionFrameV2H QStyleOptionFrameV2_create2(const QStyleOptionFrameV2H other);
C_EXPORT QStyleOptionFrameV2H QStyleOptionFrameV2_create3(const QStyleOptionFrameH other);
C_EXPORT int QStyleOptionTabWidgetFrame_lineWidth(QStyleOptionTabWidgetFrameH handle);
C_EXPORT void QStyleOptionTabWidgetFrame_setLineWidth(QStyleOptionTabWidgetFrameH handle, int lineWidth);
C_EXPORT int QStyleOptionTabWidgetFrame_midLineWidth(QStyleOptionTabWidgetFrameH handle);
C_EXPORT void QStyleOptionTabWidgetFrame_setMidLineWidth(QStyleOptionTabWidgetFrameH handle, int midLineWidth);
C_EXPORT QTabBar::Shape QStyleOptionTabWidgetFrame_shape(QStyleOptionTabWidgetFrameH handle);
C_EXPORT void QStyleOptionTabWidgetFrame_setShape(QStyleOptionTabWidgetFrameH handle, QTabBar::Shape shape);
C_EXPORT void QStyleOptionTabWidgetFrame_tabBarSize(QStyleOptionTabWidgetFrameH handle, PSize retval);
C_EXPORT void QStyleOptionTabWidgetFrame_setTabBarSize(QStyleOptionTabWidgetFrameH handle, PSize tabBarSize);
C_EXPORT void QStyleOptionTabWidgetFrame_rightCornerWidgetSize(QStyleOptionTabWidgetFrameH handle, PSize retval);
C_EXPORT void QStyleOptionTabWidgetFrame_setRightCornerWidgetSize(QStyleOptionTabWidgetFrameH handle, PSize rightCornerWidgetSize);
C_EXPORT void QStyleOptionTabWidgetFrame_leftCornerWidgetSize(QStyleOptionTabWidgetFrameH handle, PSize retval);
C_EXPORT void QStyleOptionTabWidgetFrame_setLeftCornerWidgetSize(QStyleOptionTabWidgetFrameH handle, PSize leftCornerWidgetSize);
C_EXPORT QStyleOptionTabWidgetFrameH QStyleOptionTabWidgetFrame_create();
C_EXPORT void QStyleOptionTabWidgetFrame_destroy(QStyleOptionTabWidgetFrameH handle);
C_EXPORT QStyleOptionTabWidgetFrameH QStyleOptionTabWidgetFrame_create2(const QStyleOptionTabWidgetFrameH other);
C_EXPORT QTabBar::Shape QStyleOptionTabBarBase_shape(QStyleOptionTabBarBaseH handle);
C_EXPORT void QStyleOptionTabBarBase_setShape(QStyleOptionTabBarBaseH handle, QTabBar::Shape shape);
C_EXPORT void QStyleOptionTabBarBase_tabBarRect(QStyleOptionTabBarBaseH handle, PRect retval);
C_EXPORT void QStyleOptionTabBarBase_setTabBarRect(QStyleOptionTabBarBaseH handle, PRect tabBarRect);
C_EXPORT void QStyleOptionTabBarBase_selectedTabRect(QStyleOptionTabBarBaseH handle, PRect retval);
C_EXPORT void QStyleOptionTabBarBase_setSelectedTabRect(QStyleOptionTabBarBaseH handle, PRect selectedTabRect);
C_EXPORT QStyleOptionTabBarBaseH QStyleOptionTabBarBase_create();
C_EXPORT void QStyleOptionTabBarBase_destroy(QStyleOptionTabBarBaseH handle);
C_EXPORT QStyleOptionTabBarBaseH QStyleOptionTabBarBase_create2(const QStyleOptionTabBarBaseH other);
C_EXPORT int QStyleOptionHeader_section(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setSection(QStyleOptionHeaderH handle, int section);
C_EXPORT void QStyleOptionHeader_text(QStyleOptionHeaderH handle, PWideString retval);
C_EXPORT void QStyleOptionHeader_setText(QStyleOptionHeaderH handle, PWideString text);
C_EXPORT unsigned int QStyleOptionHeader_textAlignment(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setTextAlignment(QStyleOptionHeaderH handle, unsigned int textAlignment);
C_EXPORT void QStyleOptionHeader_icon(QStyleOptionHeaderH handle, QIconH retval);
C_EXPORT void QStyleOptionHeader_setIcon(QStyleOptionHeaderH handle, QIconH icon);
C_EXPORT unsigned int QStyleOptionHeader_iconAlignment(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setIconAlignment(QStyleOptionHeaderH handle, unsigned int iconAlignment);
C_EXPORT QStyleOptionHeader::SectionPosition QStyleOptionHeader_position(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setPosition(QStyleOptionHeaderH handle, QStyleOptionHeader::SectionPosition position);
C_EXPORT QStyleOptionHeader::SelectedPosition QStyleOptionHeader_selectedPosition(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setSelectedPosition(QStyleOptionHeaderH handle, QStyleOptionHeader::SelectedPosition selectedPosition);
C_EXPORT QStyleOptionHeader::SortIndicator QStyleOptionHeader_sortIndicator(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setSortIndicator(QStyleOptionHeaderH handle, QStyleOptionHeader::SortIndicator sortIndicator);
C_EXPORT Qt::Orientation QStyleOptionHeader_orientation(QStyleOptionHeaderH handle);
C_EXPORT void QStyleOptionHeader_setOrientation(QStyleOptionHeaderH handle, Qt::Orientation orientation);
C_EXPORT QStyleOptionHeaderH QStyleOptionHeader_create();
C_EXPORT void QStyleOptionHeader_destroy(QStyleOptionHeaderH handle);
C_EXPORT QStyleOptionHeaderH QStyleOptionHeader_create2(const QStyleOptionHeaderH other);
C_EXPORT unsigned int QStyleOptionButton_features(QStyleOptionButtonH handle);
C_EXPORT void QStyleOptionButton_setFeatures(QStyleOptionButtonH handle, unsigned int features);
C_EXPORT void QStyleOptionButton_text(QStyleOptionButtonH handle, PWideString retval);
C_EXPORT void QStyleOptionButton_setText(QStyleOptionButtonH handle, PWideString text);
C_EXPORT void QStyleOptionButton_icon(QStyleOptionButtonH handle, QIconH retval);
C_EXPORT void QStyleOptionButton_setIcon(QStyleOptionButtonH handle, QIconH icon);
C_EXPORT void QStyleOptionButton_iconSize(QStyleOptionButtonH handle, PSize retval);
C_EXPORT void QStyleOptionButton_setIconSize(QStyleOptionButtonH handle, PSize iconSize);
C_EXPORT QStyleOptionButtonH QStyleOptionButton_create();
C_EXPORT void QStyleOptionButton_destroy(QStyleOptionButtonH handle);
C_EXPORT QStyleOptionButtonH QStyleOptionButton_create2(const QStyleOptionButtonH other);
C_EXPORT QTabBar::Shape QStyleOptionTab_shape(QStyleOptionTabH handle);
C_EXPORT void QStyleOptionTab_setShape(QStyleOptionTabH handle, QTabBar::Shape shape);
C_EXPORT void QStyleOptionTab_text(QStyleOptionTabH handle, PWideString retval);
C_EXPORT void QStyleOptionTab_setText(QStyleOptionTabH handle, PWideString text);
C_EXPORT void QStyleOptionTab_icon(QStyleOptionTabH handle, QIconH retval);
C_EXPORT void QStyleOptionTab_setIcon(QStyleOptionTabH handle, QIconH icon);
C_EXPORT int QStyleOptionTab_row(QStyleOptionTabH handle);
C_EXPORT void QStyleOptionTab_setRow(QStyleOptionTabH handle, int row);
C_EXPORT QStyleOptionTab::TabPosition QStyleOptionTab_position(QStyleOptionTabH handle);
C_EXPORT void QStyleOptionTab_setPosition(QStyleOptionTabH handle, QStyleOptionTab::TabPosition position);
C_EXPORT QStyleOptionTab::SelectedPosition QStyleOptionTab_selectedPosition(QStyleOptionTabH handle);
C_EXPORT void QStyleOptionTab_setSelectedPosition(QStyleOptionTabH handle, QStyleOptionTab::SelectedPosition selectedPosition);
C_EXPORT unsigned int QStyleOptionTab_cornerWidgets(QStyleOptionTabH handle);
C_EXPORT void QStyleOptionTab_setCornerWidgets(QStyleOptionTabH handle, unsigned int cornerWidgets);
C_EXPORT QStyleOptionTabH QStyleOptionTab_create();
C_EXPORT void QStyleOptionTab_destroy(QStyleOptionTabH handle);
C_EXPORT QStyleOptionTabH QStyleOptionTab_create2(const QStyleOptionTabH other);
C_EXPORT void QStyleOptionTabV2_iconSize(QStyleOptionTabV2H handle, PSize retval);
C_EXPORT void QStyleOptionTabV2_setIconSize(QStyleOptionTabV2H handle, PSize iconSize);
C_EXPORT QStyleOptionTabV2H QStyleOptionTabV2_create();
C_EXPORT void QStyleOptionTabV2_destroy(QStyleOptionTabV2H handle);
C_EXPORT QStyleOptionTabV2H QStyleOptionTabV2_create2(const QStyleOptionTabV2H other);
C_EXPORT QStyleOptionTabV2H QStyleOptionTabV2_create3(const QStyleOptionTabH other);
C_EXPORT QStyleOptionToolBar::ToolBarPosition QStyleOptionToolBar_positionOfLine(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setPositionOfLine(QStyleOptionToolBarH handle, QStyleOptionToolBar::ToolBarPosition positionOfLine);
C_EXPORT QStyleOptionToolBar::ToolBarPosition QStyleOptionToolBar_positionWithinLine(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setPositionWithinLine(QStyleOptionToolBarH handle, QStyleOptionToolBar::ToolBarPosition positionWithinLine);
C_EXPORT Qt::ToolBarArea QStyleOptionToolBar_toolBarArea(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setToolBarArea(QStyleOptionToolBarH handle, Qt::ToolBarArea toolBarArea);
C_EXPORT unsigned int QStyleOptionToolBar_features(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setFeatures(QStyleOptionToolBarH handle, unsigned int features);
C_EXPORT int QStyleOptionToolBar_lineWidth(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setLineWidth(QStyleOptionToolBarH handle, int lineWidth);
C_EXPORT int QStyleOptionToolBar_midLineWidth(QStyleOptionToolBarH handle);
C_EXPORT void QStyleOptionToolBar_setMidLineWidth(QStyleOptionToolBarH handle, int midLineWidth);
C_EXPORT QStyleOptionToolBarH QStyleOptionToolBar_create();
C_EXPORT void QStyleOptionToolBar_destroy(QStyleOptionToolBarH handle);
C_EXPORT QStyleOptionToolBarH QStyleOptionToolBar_create2(const QStyleOptionToolBarH other);
C_EXPORT int QStyleOptionProgressBar_minimum(QStyleOptionProgressBarH handle);
C_EXPORT void QStyleOptionProgressBar_setMinimum(QStyleOptionProgressBarH handle, int minimum);
C_EXPORT int QStyleOptionProgressBar_maximum(QStyleOptionProgressBarH handle);
C_EXPORT void QStyleOptionProgressBar_setMaximum(QStyleOptionProgressBarH handle, int maximum);
C_EXPORT int QStyleOptionProgressBar_progress(QStyleOptionProgressBarH handle);
C_EXPORT void QStyleOptionProgressBar_setProgress(QStyleOptionProgressBarH handle, int progress);
C_EXPORT void QStyleOptionProgressBar_text(QStyleOptionProgressBarH handle, PWideString retval);
C_EXPORT void QStyleOptionProgressBar_setText(QStyleOptionProgressBarH handle, PWideString text);
C_EXPORT unsigned int QStyleOptionProgressBar_textAlignment(QStyleOptionProgressBarH handle);
C_EXPORT void QStyleOptionProgressBar_setTextAlignment(QStyleOptionProgressBarH handle, unsigned int textAlignment);
C_EXPORT bool QStyleOptionProgressBar_textVisible(QStyleOptionProgressBarH handle);
C_EXPORT void QStyleOptionProgressBar_setTextVisible(QStyleOptionProgressBarH handle, bool textVisible);
C_EXPORT QStyleOptionProgressBarH QStyleOptionProgressBar_create();
C_EXPORT void QStyleOptionProgressBar_destroy(QStyleOptionProgressBarH handle);
C_EXPORT QStyleOptionProgressBarH QStyleOptionProgressBar_create2(const QStyleOptionProgressBarH other);
C_EXPORT Qt::Orientation QStyleOptionProgressBarV2_orientation(QStyleOptionProgressBarV2H handle);
C_EXPORT void QStyleOptionProgressBarV2_setOrientation(QStyleOptionProgressBarV2H handle, Qt::Orientation orientation);
C_EXPORT bool QStyleOptionProgressBarV2_invertedAppearance(QStyleOptionProgressBarV2H handle);
C_EXPORT void QStyleOptionProgressBarV2_setInvertedAppearance(QStyleOptionProgressBarV2H handle, bool invertedAppearance);
C_EXPORT bool QStyleOptionProgressBarV2_bottomToTop(QStyleOptionProgressBarV2H handle);
C_EXPORT void QStyleOptionProgressBarV2_setBottomToTop(QStyleOptionProgressBarV2H handle, bool bottomToTop);
C_EXPORT QStyleOptionProgressBarV2H QStyleOptionProgressBarV2_create();
C_EXPORT void QStyleOptionProgressBarV2_destroy(QStyleOptionProgressBarV2H handle);
C_EXPORT QStyleOptionProgressBarV2H QStyleOptionProgressBarV2_create2(const QStyleOptionProgressBarH other);
C_EXPORT QStyleOptionProgressBarV2H QStyleOptionProgressBarV2_create3(const QStyleOptionProgressBarV2H other);
C_EXPORT QStyleOptionMenuItem::MenuItemType QStyleOptionMenuItem_menuItemType(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setMenuItemType(QStyleOptionMenuItemH handle, QStyleOptionMenuItem::MenuItemType menuItemType);
C_EXPORT QStyleOptionMenuItem::CheckType QStyleOptionMenuItem_checkType(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setCheckType(QStyleOptionMenuItemH handle, QStyleOptionMenuItem::CheckType checkType);
C_EXPORT bool QStyleOptionMenuItem_checked(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setChecked(QStyleOptionMenuItemH handle, bool checked);
C_EXPORT bool QStyleOptionMenuItem_menuHasCheckableItems(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setMenuHasCheckableItems(QStyleOptionMenuItemH handle, bool menuHasCheckableItems);
C_EXPORT void QStyleOptionMenuItem_menuRect(QStyleOptionMenuItemH handle, PRect retval);
C_EXPORT void QStyleOptionMenuItem_setMenuRect(QStyleOptionMenuItemH handle, PRect menuRect);
C_EXPORT void QStyleOptionMenuItem_text(QStyleOptionMenuItemH handle, PWideString retval);
C_EXPORT void QStyleOptionMenuItem_setText(QStyleOptionMenuItemH handle, PWideString text);
C_EXPORT void QStyleOptionMenuItem_icon(QStyleOptionMenuItemH handle, QIconH retval);
C_EXPORT void QStyleOptionMenuItem_setIcon(QStyleOptionMenuItemH handle, QIconH icon);
C_EXPORT int QStyleOptionMenuItem_maxIconWidth(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setMaxIconWidth(QStyleOptionMenuItemH handle, int maxIconWidth);
C_EXPORT int QStyleOptionMenuItem_tabWidth(QStyleOptionMenuItemH handle);
C_EXPORT void QStyleOptionMenuItem_setTabWidth(QStyleOptionMenuItemH handle, int tabWidth);
C_EXPORT void QStyleOptionMenuItem_font(QStyleOptionMenuItemH handle, QFontH retval);
C_EXPORT void QStyleOptionMenuItem_setFont(QStyleOptionMenuItemH handle, QFontH font);
C_EXPORT QStyleOptionMenuItemH QStyleOptionMenuItem_create();
C_EXPORT void QStyleOptionMenuItem_destroy(QStyleOptionMenuItemH handle);
C_EXPORT QStyleOptionMenuItemH QStyleOptionMenuItem_create2(const QStyleOptionMenuItemH other);
C_EXPORT unsigned int QStyleOptionQ3ListViewItem_features(QStyleOptionQ3ListViewItemH handle);
C_EXPORT void QStyleOptionQ3ListViewItem_setFeatures(QStyleOptionQ3ListViewItemH handle, unsigned int features);
C_EXPORT int QStyleOptionQ3ListViewItem_height(QStyleOptionQ3ListViewItemH handle);
C_EXPORT void QStyleOptionQ3ListViewItem_setHeight(QStyleOptionQ3ListViewItemH handle, int height);
C_EXPORT int QStyleOptionQ3ListViewItem_totalHeight(QStyleOptionQ3ListViewItemH handle);
C_EXPORT void QStyleOptionQ3ListViewItem_setTotalHeight(QStyleOptionQ3ListViewItemH handle, int totalHeight);
C_EXPORT int QStyleOptionQ3ListViewItem_itemY(QStyleOptionQ3ListViewItemH handle);
C_EXPORT void QStyleOptionQ3ListViewItem_setItemY(QStyleOptionQ3ListViewItemH handle, int itemY);
C_EXPORT int QStyleOptionQ3ListViewItem_childCount(QStyleOptionQ3ListViewItemH handle);
C_EXPORT void QStyleOptionQ3ListViewItem_setChildCount(QStyleOptionQ3ListViewItemH handle, int childCount);
C_EXPORT QStyleOptionQ3ListViewItemH QStyleOptionQ3ListViewItem_create();
C_EXPORT void QStyleOptionQ3ListViewItem_destroy(QStyleOptionQ3ListViewItemH handle);
C_EXPORT QStyleOptionQ3ListViewItemH QStyleOptionQ3ListViewItem_create2(const QStyleOptionQ3ListViewItemH other);
C_EXPORT bool QStyleOptionQ3DockWindow_docked(QStyleOptionQ3DockWindowH handle);
C_EXPORT void QStyleOptionQ3DockWindow_setDocked(QStyleOptionQ3DockWindowH handle, bool docked);
C_EXPORT bool QStyleOptionQ3DockWindow_closeEnabled(QStyleOptionQ3DockWindowH handle);
C_EXPORT void QStyleOptionQ3DockWindow_setCloseEnabled(QStyleOptionQ3DockWindowH handle, bool closeEnabled);
C_EXPORT QStyleOptionQ3DockWindowH QStyleOptionQ3DockWindow_create();
C_EXPORT void QStyleOptionQ3DockWindow_destroy(QStyleOptionQ3DockWindowH handle);
C_EXPORT QStyleOptionQ3DockWindowH QStyleOptionQ3DockWindow_create2(const QStyleOptionQ3DockWindowH other);
C_EXPORT void QStyleOptionDockWidget_title(QStyleOptionDockWidgetH handle, PWideString retval);
C_EXPORT void QStyleOptionDockWidget_setTitle(QStyleOptionDockWidgetH handle, PWideString title);
C_EXPORT bool QStyleOptionDockWidget_closable(QStyleOptionDockWidgetH handle);
C_EXPORT void QStyleOptionDockWidget_setClosable(QStyleOptionDockWidgetH handle, bool closable);
C_EXPORT bool QStyleOptionDockWidget_movable(QStyleOptionDockWidgetH handle);
C_EXPORT void QStyleOptionDockWidget_setMovable(QStyleOptionDockWidgetH handle, bool movable);
C_EXPORT bool QStyleOptionDockWidget_floatable(QStyleOptionDockWidgetH handle);
C_EXPORT void QStyleOptionDockWidget_setFloatable(QStyleOptionDockWidgetH handle, bool floatable);
C_EXPORT QStyleOptionDockWidgetH QStyleOptionDockWidget_create();
C_EXPORT void QStyleOptionDockWidget_destroy(QStyleOptionDockWidgetH handle);
C_EXPORT QStyleOptionDockWidgetH QStyleOptionDockWidget_create2(const QStyleOptionDockWidgetH other);
C_EXPORT unsigned int QStyleOptionViewItem_displayAlignment(QStyleOptionViewItemH handle);
C_EXPORT void QStyleOptionViewItem_setDisplayAlignment(QStyleOptionViewItemH handle, unsigned int displayAlignment);
C_EXPORT unsigned int QStyleOptionViewItem_decorationAlignment(QStyleOptionViewItemH handle);
C_EXPORT void QStyleOptionViewItem_setDecorationAlignment(QStyleOptionViewItemH handle, unsigned int decorationAlignment);
C_EXPORT Qt::TextElideMode QStyleOptionViewItem_textElideMode(QStyleOptionViewItemH handle);
C_EXPORT void QStyleOptionViewItem_setTextElideMode(QStyleOptionViewItemH handle, Qt::TextElideMode textElideMode);
C_EXPORT QStyleOptionViewItem::Position QStyleOptionViewItem_decorationPosition(QStyleOptionViewItemH handle);
C_EXPORT void QStyleOptionViewItem_setDecorationPosition(QStyleOptionViewItemH handle, QStyleOptionViewItem::Position decorationPosition);
C_EXPORT void QStyleOptionViewItem_decorationSize(QStyleOptionViewItemH handle, PSize retval);
C_EXPORT void QStyleOptionViewItem_setDecorationSize(QStyleOptionViewItemH handle, PSize decorationSize);
C_EXPORT void QStyleOptionViewItem_font(QStyleOptionViewItemH handle, QFontH retval);
C_EXPORT void QStyleOptionViewItem_setFont(QStyleOptionViewItemH handle, QFontH font);
C_EXPORT bool QStyleOptionViewItem_showDecorationSelected(QStyleOptionViewItemH handle);
C_EXPORT void QStyleOptionViewItem_setShowDecorationSelected(QStyleOptionViewItemH handle, bool showDecorationSelected);
C_EXPORT QStyleOptionViewItemH QStyleOptionViewItem_create();
C_EXPORT void QStyleOptionViewItem_destroy(QStyleOptionViewItemH handle);
C_EXPORT QStyleOptionViewItemH QStyleOptionViewItem_create2(const QStyleOptionViewItemH other);
C_EXPORT void QStyleOptionViewItemV4_index(QStyleOptionViewItemV4H handle, QModelIndexH retval);
C_EXPORT void QStyleOptionViewItemV4_setIndex(QStyleOptionViewItemV4H handle, QModelIndexH index);
C_EXPORT Qt::CheckState QStyleOptionViewItemV4_checkState(QStyleOptionViewItemV4H handle);
C_EXPORT void QStyleOptionViewItemV4_setCheckState(QStyleOptionViewItemV4H handle, Qt::CheckState checkState);
C_EXPORT void QStyleOptionViewItemV4_icon(QStyleOptionViewItemV4H handle, QIconH retval);
C_EXPORT void QStyleOptionViewItemV4_setIcon(QStyleOptionViewItemV4H handle, QIconH icon);
C_EXPORT void QStyleOptionViewItemV4_text(QStyleOptionViewItemV4H handle, PWideString retval);
C_EXPORT void QStyleOptionViewItemV4_setText(QStyleOptionViewItemV4H handle, PWideString text);
C_EXPORT QStyleOptionViewItemV4::ViewItemPosition QStyleOptionViewItemV4_viewItemPosition(QStyleOptionViewItemV4H handle);
C_EXPORT void QStyleOptionViewItemV4_setViewItemPosition(QStyleOptionViewItemV4H handle, QStyleOptionViewItemV4::ViewItemPosition viewItemPosition);
C_EXPORT void QStyleOptionViewItemV4_backgroundBrush(QStyleOptionViewItemV4H handle, QBrushH retval);
C_EXPORT void QStyleOptionViewItemV4_setBackgroundBrush(QStyleOptionViewItemV4H handle, QBrushH backgroundBrush);
C_EXPORT QStyleOptionViewItemV4H QStyleOptionViewItemV4_create();
C_EXPORT void QStyleOptionViewItemV4_destroy(QStyleOptionViewItemV4H handle);
C_EXPORT QStyleOptionViewItemV4H QStyleOptionViewItemV4_create2(const QStyleOptionViewItemV4H other);
C_EXPORT QStyleOptionViewItemV4H QStyleOptionViewItemV4_create3(const QStyleOptionViewItemH other);
C_EXPORT void QStyleOptionToolBox_text(QStyleOptionToolBoxH handle, PWideString retval);
C_EXPORT void QStyleOptionToolBox_setText(QStyleOptionToolBoxH handle, PWideString text);
C_EXPORT void QStyleOptionToolBox_icon(QStyleOptionToolBoxH handle, QIconH retval);
C_EXPORT void QStyleOptionToolBox_setIcon(QStyleOptionToolBoxH handle, QIconH icon);
C_EXPORT QStyleOptionToolBoxH QStyleOptionToolBox_create();
C_EXPORT void QStyleOptionToolBox_destroy(QStyleOptionToolBoxH handle);
C_EXPORT QStyleOptionToolBoxH QStyleOptionToolBox_create2(const QStyleOptionToolBoxH other);
C_EXPORT QStyleOptionToolBoxV2::TabPosition QStyleOptionToolBoxV2_position(QStyleOptionToolBoxV2H handle);
C_EXPORT void QStyleOptionToolBoxV2_setPosition(QStyleOptionToolBoxV2H handle, QStyleOptionToolBoxV2::TabPosition position);
C_EXPORT QStyleOptionToolBoxV2::SelectedPosition QStyleOptionToolBoxV2_selectedPosition(QStyleOptionToolBoxV2H handle);
C_EXPORT void QStyleOptionToolBoxV2_setSelectedPosition(QStyleOptionToolBoxV2H handle, QStyleOptionToolBoxV2::SelectedPosition selectedPosition);
C_EXPORT QStyleOptionToolBoxV2H QStyleOptionToolBoxV2_create();
C_EXPORT void QStyleOptionToolBoxV2_destroy(QStyleOptionToolBoxV2H handle);
C_EXPORT QStyleOptionToolBoxV2H QStyleOptionToolBoxV2_create2(const QStyleOptionToolBoxV2H other);
C_EXPORT QStyleOptionToolBoxV2H QStyleOptionToolBoxV2_create3(const QStyleOptionToolBoxH other);
C_EXPORT QRubberBand::Shape QStyleOptionRubberBand_shape(QStyleOptionRubberBandH handle);
C_EXPORT void QStyleOptionRubberBand_setShape(QStyleOptionRubberBandH handle, QRubberBand::Shape shape);
C_EXPORT bool QStyleOptionRubberBand_opaque(QStyleOptionRubberBandH handle);
C_EXPORT void QStyleOptionRubberBand_setOpaque(QStyleOptionRubberBandH handle, bool opaque);
C_EXPORT QStyleOptionRubberBandH QStyleOptionRubberBand_create();
C_EXPORT void QStyleOptionRubberBand_destroy(QStyleOptionRubberBandH handle);
C_EXPORT QStyleOptionRubberBandH QStyleOptionRubberBand_create2(const QStyleOptionRubberBandH other);
C_EXPORT unsigned int QStyleOptionComplex_subControls(QStyleOptionComplexH handle);
C_EXPORT void QStyleOptionComplex_setSubControls(QStyleOptionComplexH handle, unsigned int subControls);
C_EXPORT unsigned int QStyleOptionComplex_activeSubControls(QStyleOptionComplexH handle);
C_EXPORT void QStyleOptionComplex_setActiveSubControls(QStyleOptionComplexH handle, unsigned int activeSubControls);
C_EXPORT QStyleOptionComplexH QStyleOptionComplex_create(int version, int type);
C_EXPORT void QStyleOptionComplex_destroy(QStyleOptionComplexH handle);
C_EXPORT QStyleOptionComplexH QStyleOptionComplex_create2(const QStyleOptionComplexH other);
C_EXPORT Qt::Orientation QStyleOptionSlider_orientation(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setOrientation(QStyleOptionSliderH handle, Qt::Orientation orientation);
C_EXPORT int QStyleOptionSlider_minimum(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setMinimum(QStyleOptionSliderH handle, int minimum);
C_EXPORT int QStyleOptionSlider_maximum(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setMaximum(QStyleOptionSliderH handle, int maximum);
C_EXPORT QSlider::TickPosition QStyleOptionSlider_tickPosition(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setTickPosition(QStyleOptionSliderH handle, QSlider::TickPosition tickPosition);
C_EXPORT int QStyleOptionSlider_tickInterval(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setTickInterval(QStyleOptionSliderH handle, int tickInterval);
C_EXPORT bool QStyleOptionSlider_upsideDown(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setUpsideDown(QStyleOptionSliderH handle, bool upsideDown);
C_EXPORT int QStyleOptionSlider_sliderPosition(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setSliderPosition(QStyleOptionSliderH handle, int sliderPosition);
C_EXPORT int QStyleOptionSlider_sliderValue(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setSliderValue(QStyleOptionSliderH handle, int sliderValue);
C_EXPORT int QStyleOptionSlider_singleStep(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setSingleStep(QStyleOptionSliderH handle, int singleStep);
C_EXPORT int QStyleOptionSlider_pageStep(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setPageStep(QStyleOptionSliderH handle, int pageStep);
C_EXPORT qreal QStyleOptionSlider_notchTarget(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setNotchTarget(QStyleOptionSliderH handle, qreal notchTarget);
C_EXPORT bool QStyleOptionSlider_dialWrapping(QStyleOptionSliderH handle);
C_EXPORT void QStyleOptionSlider_setDialWrapping(QStyleOptionSliderH handle, bool dialWrapping);
C_EXPORT QStyleOptionSliderH QStyleOptionSlider_create();
C_EXPORT void QStyleOptionSlider_destroy(QStyleOptionSliderH handle);
C_EXPORT QStyleOptionSliderH QStyleOptionSlider_create2(const QStyleOptionSliderH other);
C_EXPORT QAbstractSpinBox::ButtonSymbols QStyleOptionSpinBox_buttonSymbols(QStyleOptionSpinBoxH handle);
C_EXPORT void QStyleOptionSpinBox_setButtonSymbols(QStyleOptionSpinBoxH handle, QAbstractSpinBox::ButtonSymbols buttonSymbols);
C_EXPORT unsigned int QStyleOptionSpinBox_stepEnabled(QStyleOptionSpinBoxH handle);
C_EXPORT void QStyleOptionSpinBox_setStepEnabled(QStyleOptionSpinBoxH handle, unsigned int stepEnabled);
C_EXPORT bool QStyleOptionSpinBox_frame(QStyleOptionSpinBoxH handle);
C_EXPORT void QStyleOptionSpinBox_setFrame(QStyleOptionSpinBoxH handle, bool frame);
C_EXPORT QStyleOptionSpinBoxH QStyleOptionSpinBox_create();
C_EXPORT void QStyleOptionSpinBox_destroy(QStyleOptionSpinBoxH handle);
C_EXPORT QStyleOptionSpinBoxH QStyleOptionSpinBox_create2(const QStyleOptionSpinBoxH other);
C_EXPORT void QStyleOptionQ3ListView_viewportPalette(QStyleOptionQ3ListViewH handle, QPaletteH retval);
C_EXPORT void QStyleOptionQ3ListView_setViewportPalette(QStyleOptionQ3ListViewH handle, QPaletteH viewportPalette);
C_EXPORT QPalette::ColorRole QStyleOptionQ3ListView_viewportBGRole(QStyleOptionQ3ListViewH handle);
C_EXPORT void QStyleOptionQ3ListView_setViewportBGRole(QStyleOptionQ3ListViewH handle, QPalette::ColorRole viewportBGRole);
C_EXPORT int QStyleOptionQ3ListView_sortColumn(QStyleOptionQ3ListViewH handle);
C_EXPORT void QStyleOptionQ3ListView_setSortColumn(QStyleOptionQ3ListViewH handle, int sortColumn);
C_EXPORT int QStyleOptionQ3ListView_itemMargin(QStyleOptionQ3ListViewH handle);
C_EXPORT void QStyleOptionQ3ListView_setItemMargin(QStyleOptionQ3ListViewH handle, int itemMargin);
C_EXPORT int QStyleOptionQ3ListView_treeStepSize(QStyleOptionQ3ListViewH handle);
C_EXPORT void QStyleOptionQ3ListView_setTreeStepSize(QStyleOptionQ3ListViewH handle, int treeStepSize);
C_EXPORT bool QStyleOptionQ3ListView_rootIsDecorated(QStyleOptionQ3ListViewH handle);
C_EXPORT void QStyleOptionQ3ListView_setRootIsDecorated(QStyleOptionQ3ListViewH handle, bool rootIsDecorated);
C_EXPORT QStyleOptionQ3ListViewH QStyleOptionQ3ListView_create();
C_EXPORT void QStyleOptionQ3ListView_destroy(QStyleOptionQ3ListViewH handle);
C_EXPORT QStyleOptionQ3ListViewH QStyleOptionQ3ListView_create2(const QStyleOptionQ3ListViewH other);
C_EXPORT unsigned int QStyleOptionToolButton_features(QStyleOptionToolButtonH handle);
C_EXPORT void QStyleOptionToolButton_setFeatures(QStyleOptionToolButtonH handle, unsigned int features);
C_EXPORT void QStyleOptionToolButton_icon(QStyleOptionToolButtonH handle, QIconH retval);
C_EXPORT void QStyleOptionToolButton_setIcon(QStyleOptionToolButtonH handle, QIconH icon);
C_EXPORT void QStyleOptionToolButton_iconSize(QStyleOptionToolButtonH handle, PSize retval);
C_EXPORT void QStyleOptionToolButton_setIconSize(QStyleOptionToolButtonH handle, PSize iconSize);
C_EXPORT void QStyleOptionToolButton_text(QStyleOptionToolButtonH handle, PWideString retval);
C_EXPORT void QStyleOptionToolButton_setText(QStyleOptionToolButtonH handle, PWideString text);
C_EXPORT Qt::ArrowType QStyleOptionToolButton_arrowType(QStyleOptionToolButtonH handle);
C_EXPORT void QStyleOptionToolButton_setArrowType(QStyleOptionToolButtonH handle, Qt::ArrowType arrowType);
C_EXPORT Qt::ToolButtonStyle QStyleOptionToolButton_toolButtonStyle(QStyleOptionToolButtonH handle);
C_EXPORT void QStyleOptionToolButton_setToolButtonStyle(QStyleOptionToolButtonH handle, Qt::ToolButtonStyle toolButtonStyle);
C_EXPORT void QStyleOptionToolButton_pos(QStyleOptionToolButtonH handle, PQtPoint retval);
C_EXPORT void QStyleOptionToolButton_setPos(QStyleOptionToolButtonH handle, PQtPoint pos);
C_EXPORT void QStyleOptionToolButton_font(QStyleOptionToolButtonH handle, QFontH retval);
C_EXPORT void QStyleOptionToolButton_setFont(QStyleOptionToolButtonH handle, QFontH font);
C_EXPORT QStyleOptionToolButtonH QStyleOptionToolButton_create();
C_EXPORT void QStyleOptionToolButton_destroy(QStyleOptionToolButtonH handle);
C_EXPORT QStyleOptionToolButtonH QStyleOptionToolButton_create2(const QStyleOptionToolButtonH other);
C_EXPORT bool QStyleOptionComboBox_editable(QStyleOptionComboBoxH handle);
C_EXPORT void QStyleOptionComboBox_setEditable(QStyleOptionComboBoxH handle, bool editable);
C_EXPORT void QStyleOptionComboBox_popupRect(QStyleOptionComboBoxH handle, PRect retval);
C_EXPORT void QStyleOptionComboBox_setPopupRect(QStyleOptionComboBoxH handle, PRect popupRect);
C_EXPORT bool QStyleOptionComboBox_frame(QStyleOptionComboBoxH handle);
C_EXPORT void QStyleOptionComboBox_setFrame(QStyleOptionComboBoxH handle, bool frame);
C_EXPORT void QStyleOptionComboBox_currentText(QStyleOptionComboBoxH handle, PWideString retval);
C_EXPORT void QStyleOptionComboBox_setCurrentText(QStyleOptionComboBoxH handle, PWideString currentText);
C_EXPORT void QStyleOptionComboBox_currentIcon(QStyleOptionComboBoxH handle, QIconH retval);
C_EXPORT void QStyleOptionComboBox_setCurrentIcon(QStyleOptionComboBoxH handle, QIconH currentIcon);
C_EXPORT void QStyleOptionComboBox_iconSize(QStyleOptionComboBoxH handle, PSize retval);
C_EXPORT void QStyleOptionComboBox_setIconSize(QStyleOptionComboBoxH handle, PSize iconSize);
C_EXPORT QStyleOptionComboBoxH QStyleOptionComboBox_create();
C_EXPORT void QStyleOptionComboBox_destroy(QStyleOptionComboBoxH handle);
C_EXPORT QStyleOptionComboBoxH QStyleOptionComboBox_create2(const QStyleOptionComboBoxH other);
C_EXPORT void QStyleOptionTitleBar_text(QStyleOptionTitleBarH handle, PWideString retval);
C_EXPORT void QStyleOptionTitleBar_setText(QStyleOptionTitleBarH handle, PWideString text);
C_EXPORT void QStyleOptionTitleBar_icon(QStyleOptionTitleBarH handle, QIconH retval);
C_EXPORT void QStyleOptionTitleBar_setIcon(QStyleOptionTitleBarH handle, QIconH icon);
C_EXPORT int QStyleOptionTitleBar_titleBarState(QStyleOptionTitleBarH handle);
C_EXPORT void QStyleOptionTitleBar_setTitleBarState(QStyleOptionTitleBarH handle, int titleBarState);
C_EXPORT unsigned int QStyleOptionTitleBar_titleBarFlags(QStyleOptionTitleBarH handle);
C_EXPORT void QStyleOptionTitleBar_setTitleBarFlags(QStyleOptionTitleBarH handle, unsigned int titleBarFlags);
C_EXPORT QStyleOptionTitleBarH QStyleOptionTitleBar_create();
C_EXPORT void QStyleOptionTitleBar_destroy(QStyleOptionTitleBarH handle);
C_EXPORT QStyleOptionTitleBarH QStyleOptionTitleBar_create2(const QStyleOptionTitleBarH other);
C_EXPORT unsigned int QStyleOptionGroupBox_features(QStyleOptionGroupBoxH handle);
C_EXPORT void QStyleOptionGroupBox_setFeatures(QStyleOptionGroupBoxH handle, unsigned int features);
C_EXPORT void QStyleOptionGroupBox_text(QStyleOptionGroupBoxH handle, PWideString retval);
C_EXPORT void QStyleOptionGroupBox_setText(QStyleOptionGroupBoxH handle, PWideString text);
C_EXPORT unsigned int QStyleOptionGroupBox_textAlignment(QStyleOptionGroupBoxH handle);
C_EXPORT void QStyleOptionGroupBox_setTextAlignment(QStyleOptionGroupBoxH handle, unsigned int textAlignment);
C_EXPORT void QStyleOptionGroupBox_textColor(QStyleOptionGroupBoxH handle, PQColor retval);
C_EXPORT void QStyleOptionGroupBox_setTextColor(QStyleOptionGroupBoxH handle, PQColor textColor);
C_EXPORT int QStyleOptionGroupBox_lineWidth(QStyleOptionGroupBoxH handle);
C_EXPORT void QStyleOptionGroupBox_setLineWidth(QStyleOptionGroupBoxH handle, int lineWidth);
C_EXPORT int QStyleOptionGroupBox_midLineWidth(QStyleOptionGroupBoxH handle);
C_EXPORT void QStyleOptionGroupBox_setMidLineWidth(QStyleOptionGroupBoxH handle, int midLineWidth);
C_EXPORT QStyleOptionGroupBoxH QStyleOptionGroupBox_create();
C_EXPORT void QStyleOptionGroupBox_destroy(QStyleOptionGroupBoxH handle);
C_EXPORT QStyleOptionGroupBoxH QStyleOptionGroupBox_create2(const QStyleOptionGroupBoxH other);
C_EXPORT Qt::Corner QStyleOptionSizeGrip_corner(QStyleOptionSizeGripH handle);
C_EXPORT void QStyleOptionSizeGrip_setCorner(QStyleOptionSizeGripH handle, Qt::Corner corner);
C_EXPORT QStyleOptionSizeGripH QStyleOptionSizeGrip_create();
C_EXPORT void QStyleOptionSizeGrip_destroy(QStyleOptionSizeGripH handle);
C_EXPORT QStyleOptionSizeGripH QStyleOptionSizeGrip_create2(const QStyleOptionSizeGripH other);
C_EXPORT void QStyleOptionGraphicsItem_exposedRect(QStyleOptionGraphicsItemH handle, QRectFH retval);
C_EXPORT void QStyleOptionGraphicsItem_setExposedRect(QStyleOptionGraphicsItemH handle, QRectFH exposedRect);
C_EXPORT void QStyleOptionGraphicsItem_matrix(QStyleOptionGraphicsItemH handle, QMatrixH retval);
C_EXPORT void QStyleOptionGraphicsItem_setMatrix(QStyleOptionGraphicsItemH handle, QMatrixH matrix);
C_EXPORT qreal QStyleOptionGraphicsItem_levelOfDetail(QStyleOptionGraphicsItemH handle);
C_EXPORT void QStyleOptionGraphicsItem_setLevelOfDetail(QStyleOptionGraphicsItemH handle, qreal levelOfDetail);
C_EXPORT QStyleOptionGraphicsItemH QStyleOptionGraphicsItem_create();
C_EXPORT void QStyleOptionGraphicsItem_destroy(QStyleOptionGraphicsItemH handle);
C_EXPORT QStyleOptionGraphicsItemH QStyleOptionGraphicsItem_create2(const QStyleOptionGraphicsItemH other);
C_EXPORT int QStyleHintReturn_version(QStyleHintReturnH handle);
C_EXPORT void QStyleHintReturn_setVersion(QStyleHintReturnH handle, int version);
C_EXPORT int QStyleHintReturn_type(QStyleHintReturnH handle);
C_EXPORT void QStyleHintReturn_setType(QStyleHintReturnH handle, int type);
C_EXPORT QStyleHintReturnH QStyleHintReturn_create(int version, int type);
C_EXPORT void QStyleHintReturn_destroy(QStyleHintReturnH handle);
C_EXPORT void QStyleHintReturnMask_region(QStyleHintReturnMaskH handle, QRegionH retval);
C_EXPORT void QStyleHintReturnMask_setRegion(QStyleHintReturnMaskH handle, QRegionH region);
C_EXPORT QStyleHintReturnMaskH QStyleHintReturnMask_create();
C_EXPORT void QStyleHintReturnMask_destroy(QStyleHintReturnMaskH handle);
C_EXPORT void QStyleHintReturnVariant_variant(QStyleHintReturnVariantH handle, QVariantH retval);
C_EXPORT void QStyleHintReturnVariant_setVariant(QStyleHintReturnVariantH handle, QVariantH variant);
C_EXPORT QStyleHintReturnVariantH QStyleHintReturnVariant_create();
C_EXPORT void QStyleHintReturnVariant_destroy(QStyleHintReturnVariantH handle);

#endif
