//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QTRANSLATOR_H
#define C_QTRANSLATOR_H

C_EXPORT QTranslatorH QTranslator_create(QObjectH parent);
C_EXPORT void QTranslator_destroy(QTranslatorH handle);
C_EXPORT void QTranslator_translate(QTranslatorH handle, PWideString retval, const char* context, const char* sourceText, const char* comment);
C_EXPORT void QTranslator_translate2(QTranslatorH handle, PWideString retval, const char* context, const char* sourceText, const char* comment, int n);
C_EXPORT bool QTranslator_isEmpty(QTranslatorH handle);
C_EXPORT bool QTranslator_load(QTranslatorH handle, PWideString filename, PWideString directory, PWideString search_delimiters, PWideString suffix);
C_EXPORT bool QTranslator_load2(QTranslatorH handle, const uchar* data, int len);

#endif
