
#if defined(__WIN32__)
#define C_EXPORT extern "C" __declspec(dllexport)
#else
#define C_EXPORT extern "C"
#endif

#if defined(Q_EXPORT)
#define Q_EXPORT
#endif

#ifdef __WIN32__
#include <windows.h>
#endif

typedef bool (*EventFilter)(void *message, long *result);
typedef bool (*EventFilter2)(void *message);

#if defined _LP64
typedef long long int PTRINT;
typedef unsigned long long int PTRUINT;
#else
typedef int PTRINT;
typedef unsigned int PTRUINT;
#endif

#include "bindhelp.cpp"

#include "qobject_hook.h"
#include "qobject_hook.cppb"
#include "qobject_hook.cpp_mk"


#include "lib/qglobal.cppb"
#include "lib/qobject.cppb"
#include "lib/qcoreevent.cppb"
#include "lib/qeventloop.cppb"
#include "lib/qcoreapplication.cppb"
#include "lib/qtranslator.cppb"
#include "lib/qtimer.cppb"
#include "lib/qvariant.cppb"
#include "lib/qmetaobject.cppb"
#include "lib/qabstractitemmodel.cppb"
#include "lib/qabstracteventdispatcher.cppb"
#include "lib/qmimedata.cppb"
#include "lib/qchar.cppb"
#include "lib/qsize.cppb"
#include "lib/qstring.cppb"
#include "lib/qstringlist.cppb"
#include "lib/qrect.cppb"
#include "lib/qdatetime.cppb"
#include "lib/qbytearray.cppb"
#include "lib/qlocale.cppb"
#include "lib/qurl.cppb"
#include "lib/qfilesystemwatcher.cppb"
#include "lib/qapplication.cppb"
#include "lib/qpalette.cppb"
#include "lib/qkeysequence.cppb"
#include "lib/qwidget.cppb"
#include "lib/qlayoutitem.cppb"
#include "lib/qlayout.cppb"
#include "lib/qboxlayout.cppb"
#include "lib/qaction.cppb"
#include "lib/qevent.cppb"
#include "lib/qlclmessageevent.cppb"
#include "lib/qcursor.cppb"
#include "lib/qgridlayout.cppb"
#include "lib/qclipboard.cppb"
#include "lib/qdesktopwidget.cppb"
#include "lib/qtooltip.cppb"
#include "lib/qx11info_x11.cppb"
#include "lib/qmime.cppb"
#include "lib/qdrag.cppb"
#include "lib/qcolor.cppb"
#include "lib/qmatrix.cppb"
#include "lib/qbrush.cppb"
#include "lib/qpen.cppb"
#include "lib/qpolygon.cppb"
#include "lib/qpainter.cppb"
#include "lib/qpaintengine.cppb"
#include "lib/qpaintdevice.cppb"
#include "lib/qregion.cppb"
#include "lib/qprinter.cppb"
#include "lib/qpainterpath.cppb"
#include "lib/qtransform.cppb"
#include "lib/qprinterinfo.cppb"
#include "lib/qfont.cppb"
#include "lib/qfontdatabase.cppb"
#include "lib/qtextcursor.cppb"
#include "lib/qtextoption.cppb"
#include "lib/qfontmetrics.cppb"
#include "lib/qfontinfo.cppb"
#include "lib/qtextdocument.cppb"
#include "lib/qabstracttextdocumentlayout.cppb"
#include "lib/qtextlayout.cppb"
#include "lib/qicon.cppb"
#include "lib/qpixmap.cppb"
#include "lib/qimage.cppb"
#include "lib/qbitmap.cppb"
#include "lib/qpicture.cppb"
#include "lib/qimageiohandler.cppb"
#include "lib/qimagereader.cppb"
#include "lib/qimagewriter.cppb"
#include "lib/qvalidator.cppb"
#include "lib/qframe.cppb"
#include "lib/qabstractscrollarea.cppb"
#include "lib/qlclabstractscrollarea.cppb"
#include "lib/qabstractslider.cppb"
#include "lib/qscrollbar.cppb"
#include "lib/qmenu.cppb"
#include "lib/qmenubar.cppb"
#include "lib/qbuttongroup.cppb"
#include "lib/qabstractbutton.cppb"
#include "lib/qpushbutton.cppb"
#include "lib/qradiobutton.cppb"
#include "lib/qlineedit.cppb"
#include "lib/qtextedit.cppb"
#include "lib/qmainwindow.cppb"
#include "lib/qtoolbar.cppb"
#include "lib/qsizegrip.cppb"
#include "lib/qlcdnumber.cppb"
#include "lib/qabstractspinbox.cppb"
#include "lib/qlclabstractspinbox.cppb"
#include "lib/qspinbox.cppb"
#include "lib/qsplitter.cppb"
#include "lib/qworkspace.cppb"
#include "lib/qcombobox.cppb"
#include "lib/qcheckbox.cppb"
#include "lib/qslider.cppb"
#include "lib/qtextbrowser.cppb"
#include "lib/qlabel.cppb"
#include "lib/qgroupbox.cppb"
#include "lib/qtabwidget.cppb"
#include "lib/qlcltabwidget.cppb"
#include "lib/qdockwidget.cppb"
#include "lib/qtabbar.cppb"
#include "lib/qprogressbar.cppb"
#include "lib/qstatusbar.cppb"
#include "lib/qtoolbox.cppb"
#include "lib/qtoolbutton.cppb"
#include "lib/qscrollarea.cppb"
#include "lib/qmdiarea.cppb"
#include "lib/qmdisubwindow.cppb"
#include "lib/qcalendarwidget.cppb"
#include "lib/qrubberband.cppb"
#include "lib/qprintpreviewwidget.cppb"
#include "lib/qabstractitemview.cppb"
#include "lib/qlistview.cppb"
#include "lib/qitemselectionmodel.cppb"
#include "lib/qlistwidget.cppb"
#include "lib/qtreeview.cppb"
#include "lib/qtreewidget.cppb"
#include "lib/qheaderview.cppb"
#include "lib/qstandarditemmodel.cppb"
#include "lib/qabstractitemdelegate.cppb"
#include "lib/qitemdelegate.cppb"
#include "lib/qtableview.cppb"
#include "lib/qtablewidget.cppb"
#include "lib/qitemeditorfactory.cppb"
#include "lib/qstyleditemdelegate.cppb"
#include "lib/qlclitemdelegate.cppb"
#include "lib/qdialog.cppb"
#include "lib/qfontdialog.cppb"
#include "lib/qmessagebox.cppb"
#include "lib/qinputdialog.cppb"
#include "lib/qcolordialog.cppb"
#include "lib/qfiledialog.cppb"
#include "lib/qprogressdialog.cppb"
#include "lib/qabstractprintdialog.cppb"
#include "lib/qprintdialog.cppb"
#include "lib/qpagesetupdialog.cppb"
#include "lib/qprintpreviewdialog.cppb"
#include "lib/qsystemtrayicon.cppb"
#include "lib/qstyle.cppb"
#include "lib/qstyleoption.cppb"
#include "lib/qstylefactory.cppb"
#include "lib/qgraphicsscene.cppb"
#include "lib/qgraphicsview.cppb"
#include "lib/qiodevice.cppb"
#include "lib/qprocess.cppb"
#include "lib/hooks/qcoreevent.cpp_k"
#include "lib/hooks//qcoreevent.cpp_mk"
#include "lib/hooks/qeventloop.cpp_k"
#include "lib/hooks//qeventloop.cpp_mk"
#include "lib/hooks/qcoreapplication.cpp_k"
#include "lib/hooks//qcoreapplication.cpp_mk"
#include "lib/hooks/qtimer.cpp_k"
#include "lib/hooks//qtimer.cpp_mk"
#include "lib/hooks/qabstractitemmodel.cpp_k"
#include "lib/hooks//qabstractitemmodel.cpp_mk"
#include "lib/hooks/qfilesystemwatcher.cpp_k"
#include "lib/hooks//qfilesystemwatcher.cpp_mk"
#include "lib/hooks/qapplication.cpp_k"
#include "lib/hooks//qapplication.cpp_mk"
#include "lib/hooks/qwidget.cpp_k"
#include "lib/hooks//qwidget.cpp_mk"
#include "lib/hooks/qaction.cpp_k"
#include "lib/hooks//qaction.cpp_mk"
#include "lib/hooks/qclipboard.cpp_k"
#include "lib/hooks//qclipboard.cpp_mk"
#include "lib/hooks/qdesktopwidget.cpp_k"
#include "lib/hooks//qdesktopwidget.cpp_mk"
#include "lib/hooks/qdrag.cpp_k"
#include "lib/hooks//qdrag.cpp_mk"
#include "lib/hooks/qframe.cpp_k"
#include "lib/hooks//qframe.cpp_mk"
#include "lib/hooks/qabstractscrollarea.cpp_k"
#include "lib/hooks//qabstractscrollarea.cpp_mk"
#include "lib/hooks/qabstractslider.cpp_k"
#include "lib/hooks//qabstractslider.cpp_mk"
#include "lib/hooks/qscrollbar.cpp_k"
#include "lib/hooks//qscrollbar.cpp_mk"
#include "lib/hooks/qmenu.cpp_k"
#include "lib/hooks//qmenu.cpp_mk"
#include "lib/hooks/qmenubar.cpp_k"
#include "lib/hooks//qmenubar.cpp_mk"
#include "lib/hooks/qbuttongroup.cpp_k"
#include "lib/hooks//qbuttongroup.cpp_mk"
#include "lib/hooks/qabstractbutton.cpp_k"
#include "lib/hooks//qabstractbutton.cpp_mk"
#include "lib/hooks/qpushbutton.cpp_k"
#include "lib/hooks//qpushbutton.cpp_mk"
#include "lib/hooks/qlineedit.cpp_k"
#include "lib/hooks//qlineedit.cpp_mk"
#include "lib/hooks/qtextedit.cpp_k"
#include "lib/hooks//qtextedit.cpp_mk"
#include "lib/hooks/qmainwindow.cpp_k"
#include "lib/hooks//qmainwindow.cpp_mk"
#include "lib/hooks/qtoolbar.cpp_k"
#include "lib/hooks//qtoolbar.cpp_mk"
#include "lib/hooks/qlcdnumber.cpp_k"
#include "lib/hooks//qlcdnumber.cpp_mk"
#include "lib/hooks/qabstractspinbox.cpp_k"
#include "lib/hooks//qabstractspinbox.cpp_mk"
#include "lib/hooks/qspinbox.cpp_k"
#include "lib/hooks//qspinbox.cpp_mk"
#include "lib/hooks/qsplitter.cpp_k"
#include "lib/hooks//qsplitter.cpp_mk"
#include "lib/hooks/qworkspace.cpp_k"
#include "lib/hooks//qworkspace.cpp_mk"
#include "lib/hooks/qcombobox.cpp_k"
#include "lib/hooks//qcombobox.cpp_mk"
#include "lib/hooks/qcheckbox.cpp_k"
#include "lib/hooks//qcheckbox.cpp_mk"
#include "lib/hooks/qslider.cpp_k"
#include "lib/hooks//qslider.cpp_mk"
#include "lib/hooks/qtextbrowser.cpp_k"
#include "lib/hooks//qtextbrowser.cpp_mk"
#include "lib/hooks/qlabel.cpp_k"
#include "lib/hooks//qlabel.cpp_mk"
#include "lib/hooks/qgroupbox.cpp_k"
#include "lib/hooks//qgroupbox.cpp_mk"
#include "lib/hooks/qtabwidget.cpp_k"
#include "lib/hooks//qtabwidget.cpp_mk"
#include "lib/hooks/qdockwidget.cpp_k"
#include "lib/hooks//qdockwidget.cpp_mk"
#include "lib/hooks/qtabbar.cpp_k"
#include "lib/hooks//qtabbar.cpp_mk"
#include "lib/hooks/qprogressbar.cpp_k"
#include "lib/hooks//qprogressbar.cpp_mk"
#include "lib/hooks/qstatusbar.cpp_k"
#include "lib/hooks//qstatusbar.cpp_mk"
#include "lib/hooks/qtoolbox.cpp_k"
#include "lib/hooks//qtoolbox.cpp_mk"
#include "lib/hooks/qtoolbutton.cpp_k"
#include "lib/hooks//qtoolbutton.cpp_mk"
#include "lib/hooks/qmdiarea.cpp_k"
#include "lib/hooks//qmdiarea.cpp_mk"
#include "lib/hooks/qmdisubwindow.cpp_k"
#include "lib/hooks//qmdisubwindow.cpp_mk"
#include "lib/hooks/qcalendarwidget.cpp_k"
#include "lib/hooks//qcalendarwidget.cpp_mk"
#include "lib/hooks/qprintpreviewwidget.cpp_k"
#include "lib/hooks//qprintpreviewwidget.cpp_mk"
#include "lib/hooks/qabstractitemview.cpp_k"
#include "lib/hooks//qabstractitemview.cpp_mk"
#include "lib/hooks/qlistview.cpp_k"
#include "lib/hooks//qlistview.cpp_mk"
#include "lib/hooks/qitemselectionmodel.cpp_k"
#include "lib/hooks//qitemselectionmodel.cpp_mk"
#include "lib/hooks/qlistwidget.cpp_k"
#include "lib/hooks//qlistwidget.cpp_mk"
#include "lib/hooks/qtreeview.cpp_k"
#include "lib/hooks//qtreeview.cpp_mk"
#include "lib/hooks/qtreewidget.cpp_k"
#include "lib/hooks//qtreewidget.cpp_mk"
#include "lib/hooks/qheaderview.cpp_k"
#include "lib/hooks//qheaderview.cpp_mk"
#include "lib/hooks/qstandarditemmodel.cpp_k"
#include "lib/hooks//qstandarditemmodel.cpp_mk"
#include "lib/hooks/qabstractitemdelegate.cpp_k"
#include "lib/hooks//qabstractitemdelegate.cpp_mk"
#include "lib/hooks/qtableview.cpp_k"
#include "lib/hooks//qtableview.cpp_mk"
#include "lib/hooks/qtablewidget.cpp_k"
#include "lib/hooks//qtablewidget.cpp_mk"
#include "lib/hooks/qdialog.cpp_k"
#include "lib/hooks//qdialog.cpp_mk"
#include "lib/hooks/qfiledialog.cpp_k"
#include "lib/hooks//qfiledialog.cpp_mk"
#include "lib/hooks/qprogressdialog.cpp_k"
#include "lib/hooks//qprogressdialog.cpp_mk"
#include "lib/hooks/qprintpreviewdialog.cpp_k"
#include "lib/hooks//qprintpreviewdialog.cpp_mk"
#include "lib/hooks/qsystemtrayicon.cpp_k"
#include "lib/hooks//qsystemtrayicon.cpp_mk"
#include "lib/hooks/qgraphicsscene.cpp_k"
#include "lib/hooks//qgraphicsscene.cpp_mk"
#include "lib/hooks/qiodevice.cpp_k"
#include "lib/hooks//qiodevice.cpp_mk"
#include "lib/hooks/qprocess.cpp_k"
#include "lib/hooks//qprocess.cpp_mk"



#if defined(__WIN32__)
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
  return 1;
}
#endif

#if defined DARWIN
void qt_mac_set_dock_menu(QMenu *menu);
C_EXPORT void qtmacsetdockmenu(QMenuH handle) {
  qt_mac_set_dock_menu((QMenu *)handle);
}

#endif

#if defined BINUX
void qt_x11_wait_for_window_manager(QWidget *widget);
C_EXPORT void qtx11waitforwindowmanager(QWidgetH handle) {
  qt_x11_wait_for_window_manager((QWidget *)handle);
  }
#endif

void qDrawShadeRect(QPainter *p, int x, int y, int w, int h,const QPalette &pal, bool sunken,int lineWidth, int midLineWidth,const QBrush *fill);
C_EXPORT void q_DrawShadeRect(QPainterH p, int x, int y, int w, int h, const QPaletteH pal, bool sunken, int lineWidth, int midLineWidth, const QBrushH fill) {
  qDrawShadeRect((QPainter*)p, x, y, w, h, *(const QPalette*)pal, sunken, lineWidth, midLineWidth, (const QBrush*)fill);
  }

void qDrawShadeRect(QPainter *p, const QRect &r,const QPalette &pal, bool sunken,int lineWidth, int midLineWidth,const QBrush *fill);
C_EXPORT void q_DrawShadeRect2(QPainterH p, PRect r, const QPaletteH pal, bool sunken, int lineWidth, int midLineWidth, const QBrushH fill) {
  QRect t_r;
  copyPRectToQRect(r, t_r);
  qDrawShadeRect((QPainter*)p, t_r, *(const QPalette*)pal, sunken, lineWidth, midLineWidth, (const QBrush*)fill);
  }

void qDrawPlainRect(QPainter *p, int x, int y, int w, int h, const QColor &,int lineWidth, const QBrush *fill);
C_EXPORT void q_DrawPlainRect(QPainterH p, int x, int y, int w, int h, const QColorH p6, int lineWidth, const QBrushH fill) {
  qDrawPlainRect((QPainter*)p, x, y, w, h, *(const QColor*)p6, lineWidth, (const QBrush*)fill);
  }
  
  
void qDrawPlainRect(QPainter *p, const QRect &r, const QColor &,int lineWidth, const QBrush *fill);
C_EXPORT void q_DrawPlainRect2(QPainterH p, PRect r, const QColorH p3, int lineWidth, const QBrushH fill) {
  QRect t_r;
  copyPRectToQRect(r, t_r);
  qDrawPlainRect((QPainter*)p, t_r, *(const QColor*)p3, lineWidth, (const QBrush*)fill);
  }
  

void qDrawWinPanel(QPainter *p, int x, int y, int w, int h, const QPalette &pal, bool sunken, const QBrush *fill);
C_EXPORT void q_DrawWinPanel(QPainterH p, int x, int y, int w, int h, const QPaletteH pal, bool sunken, const QBrushH fill) {
  qDrawWinPanel((QPainter*)p, x, y, w, h, *(const QPalette*)pal, sunken, (const QBrush*)fill);
  }

void qDrawWinPanel(QPainter *p, const QRect &r,const QPalette &pal, bool sunken,const QBrush *fill);
C_EXPORT void q_DrawWinPanel2(QPainterH p, PRect r, const QPaletteH pal, bool sunken, const QBrushH fill) {
  QRect t_r;
  copyPRectToQRect(r, t_r);
  qDrawWinPanel((QPainter*)p, t_r, *(const QPalette*)pal, sunken, (const QBrush*)fill);
  }

void qDrawShadeLine(QPainter *p, int x1, int y1, int x2, int y2, const QPalette &palette, bool sunken, int lineWidth, int midLineWidth);
C_EXPORT void q_DrawShadeLine(QPainterH p, int x1, int y1, int x2, int y2, const QPaletteH palette,bool sunken, int lineWidth, int midLineWidth) {
  qDrawShadeLine((QPainter*)p, x1, y1, x2, y2, *(const QPalette*) palette, sunken, lineWidth, midLineWidth);
  }

void qDrawShadePanel(QPainter *p, int x, int y, int w, int h, const QPalette &palette, bool sunken, int lineWidth, const QBrush *fill);
C_EXPORT void q_DrawShadePanel(QPainterH p, int x, int y, int w, int h, const QPaletteH palette,bool sunken, int lineWidth, const QBrushH fill) {
  qDrawShadePanel((QPainter*)p, x, y, w, h, *(const QPalette*) palette, sunken, lineWidth, (const QBrush*) fill);
  }

void qDrawShadePanel(QPainter *p, const QRect &r, const QPalette &palette, bool sunken, int lineWidth, const QBrush *fill);
C_EXPORT void q_DrawShadePanel2(QPainterH p, PRect r, const QPaletteH palette,bool sunken, int lineWidth, const QBrushH fill) {
  QRect t_r;
  copyPRectToQRect(r, t_r);
  qDrawShadePanel((QPainter*)p, t_r, *(const QPalette*) palette, sunken, lineWidth, (const QBrush*) fill);
  }


