//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QLABEL_H
#define C_QLABEL_H

C_EXPORT QLabelH QLabel_create(QWidgetH parent, unsigned int f);
C_EXPORT void QLabel_destroy(QLabelH handle);
C_EXPORT QLabelH QLabel_create2(PWideString text, QWidgetH parent, unsigned int f);
C_EXPORT void QLabel_text(QLabelH handle, PWideString retval);
C_EXPORT const QPixmapH QLabel_pixmap(QLabelH handle);
C_EXPORT const QPictureH QLabel_picture(QLabelH handle);
C_EXPORT QMovieH QLabel_movie(QLabelH handle);
C_EXPORT Qt::TextFormat QLabel_textFormat(QLabelH handle);
C_EXPORT void QLabel_setTextFormat(QLabelH handle, Qt::TextFormat p1);
C_EXPORT unsigned int QLabel_alignment(QLabelH handle);
C_EXPORT void QLabel_setAlignment(QLabelH handle, unsigned int p1);
C_EXPORT void QLabel_setWordWrap(QLabelH handle, bool on);
C_EXPORT bool QLabel_wordWrap(QLabelH handle);
C_EXPORT int QLabel_indent(QLabelH handle);
C_EXPORT void QLabel_setIndent(QLabelH handle, int p1);
C_EXPORT int QLabel_margin(QLabelH handle);
C_EXPORT void QLabel_setMargin(QLabelH handle, int p1);
C_EXPORT bool QLabel_hasScaledContents(QLabelH handle);
C_EXPORT void QLabel_setScaledContents(QLabelH handle, bool p1);
C_EXPORT void QLabel_sizeHint(QLabelH handle, PSize retval);
C_EXPORT void QLabel_minimumSizeHint(QLabelH handle, PSize retval);
C_EXPORT void QLabel_setBuddy(QLabelH handle, QWidgetH p1);
C_EXPORT QWidgetH QLabel_buddy(QLabelH handle);
C_EXPORT int QLabel_heightForWidth(QLabelH handle, int p1);
C_EXPORT bool QLabel_openExternalLinks(QLabelH handle);
C_EXPORT void QLabel_setOpenExternalLinks(QLabelH handle, bool open);
C_EXPORT void QLabel_setTextInteractionFlags(QLabelH handle, unsigned int flags);
C_EXPORT unsigned int QLabel_textInteractionFlags(QLabelH handle);
C_EXPORT void QLabel_setText(QLabelH handle, PWideString p1);
C_EXPORT void QLabel_setPixmap(QLabelH handle, const QPixmapH p1);
C_EXPORT void QLabel_setPicture(QLabelH handle, const QPictureH p1);
C_EXPORT void QLabel_setMovie(QLabelH handle, QMovieH movie);
C_EXPORT void QLabel_setNum(QLabelH handle, int p1);
C_EXPORT void QLabel_setNum2(QLabelH handle, double p1);
C_EXPORT void QLabel_clear(QLabelH handle);

#endif
