//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QMENUBAR_H
#define C_QMENUBAR_H

C_EXPORT QMenuBarH QMenuBar_create(QWidgetH parent);
C_EXPORT void QMenuBar_destroy(QMenuBarH handle);
C_EXPORT QActionH QMenuBar_addAction(QMenuBarH handle, PWideString text);
C_EXPORT QActionH QMenuBar_addAction2(QMenuBarH handle, PWideString text, const QObjectH receiver, const char* member);
C_EXPORT QActionH QMenuBar_addMenu(QMenuBarH handle, QMenuH menu);
C_EXPORT QMenuH QMenuBar_addMenu2(QMenuBarH handle, PWideString title);
C_EXPORT QMenuH QMenuBar_addMenu3(QMenuBarH handle, const QIconH icon, PWideString title);
C_EXPORT QActionH QMenuBar_addSeparator(QMenuBarH handle);
C_EXPORT QActionH QMenuBar_insertSeparator(QMenuBarH handle, QActionH before);
C_EXPORT QActionH QMenuBar_insertMenu(QMenuBarH handle, QActionH before, QMenuH menu);
C_EXPORT void QMenuBar_clear(QMenuBarH handle);
C_EXPORT QActionH QMenuBar_activeAction(QMenuBarH handle);
C_EXPORT void QMenuBar_setActiveAction(QMenuBarH handle, QActionH action);
C_EXPORT void QMenuBar_setDefaultUp(QMenuBarH handle, bool p1);
C_EXPORT bool QMenuBar_isDefaultUp(QMenuBarH handle);
C_EXPORT void QMenuBar_sizeHint(QMenuBarH handle, PSize retval);
C_EXPORT void QMenuBar_minimumSizeHint(QMenuBarH handle, PSize retval);
C_EXPORT int QMenuBar_heightForWidth(QMenuBarH handle, int p1);
C_EXPORT void QMenuBar_actionGeometry(QMenuBarH handle, PRect retval, QActionH p1);
C_EXPORT QActionH QMenuBar_actionAt(QMenuBarH handle, const QPointH p1);
C_EXPORT void QMenuBar_setCornerWidget(QMenuBarH handle, QWidgetH w, Qt::Corner corner);
C_EXPORT QWidgetH QMenuBar_cornerWidget(QMenuBarH handle, Qt::Corner corner);
C_EXPORT void QMenuBar_setVisible(QMenuBarH handle, bool visible);
#if defined DARWIN
C_EXPORT MenuRef QMenuBar_macMenu(QMenuBarH handle);
#endif

#endif
