//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QTIMER_H
#define C_QTIMER_H

C_EXPORT QTimerH QTimer_create(QObjectH parent);
C_EXPORT void QTimer_destroy(QTimerH handle);
C_EXPORT bool QTimer_isActive(QTimerH handle);
C_EXPORT int QTimer_timerId(QTimerH handle);
C_EXPORT void QTimer_setInterval(QTimerH handle, int msec);
C_EXPORT int QTimer_interval(QTimerH handle);
C_EXPORT void QTimer_setSingleShot(QTimerH handle, bool singleShot);
C_EXPORT bool QTimer_isSingleShot(QTimerH handle);
C_EXPORT void QTimer_singleShot(int msec, QObjectH receiver, const char* member);
C_EXPORT void QTimer_start(QTimerH handle, int msec);
C_EXPORT void QTimer_start2(QTimerH handle);
C_EXPORT void QTimer_stop(QTimerH handle);

#endif
