//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QWORKSPACE_H
#define C_QWORKSPACE_H

C_EXPORT QWorkspaceH QWorkspace_create(QWidgetH parent);
C_EXPORT void QWorkspace_destroy(QWorkspaceH handle);
C_EXPORT QWidgetH QWorkspace_activeWindow(QWorkspaceH handle);
C_EXPORT void QWorkspace_windowList(QWorkspaceH handle, PPtrIntArray retval, QWorkspace::WindowOrder order);
C_EXPORT QWidgetH QWorkspace_addWindow(QWorkspaceH handle, QWidgetH w, unsigned int flags);
C_EXPORT void QWorkspace_sizeHint(QWorkspaceH handle, PSize retval);
C_EXPORT bool QWorkspace_scrollBarsEnabled(QWorkspaceH handle);
C_EXPORT void QWorkspace_setScrollBarsEnabled(QWorkspaceH handle, bool enable);
C_EXPORT void QWorkspace_setBackground(QWorkspaceH handle, const QBrushH background);
C_EXPORT void QWorkspace_background(QWorkspaceH handle, QBrushH retval);
C_EXPORT void QWorkspace_setActiveWindow(QWorkspaceH handle, QWidgetH w);
C_EXPORT void QWorkspace_cascade(QWorkspaceH handle);
C_EXPORT void QWorkspace_tile(QWorkspaceH handle);
C_EXPORT void QWorkspace_arrangeIcons(QWorkspaceH handle);
C_EXPORT void QWorkspace_closeActiveWindow(QWorkspaceH handle);
C_EXPORT void QWorkspace_closeAllWindows(QWorkspaceH handle);
C_EXPORT void QWorkspace_activateNextWindow(QWorkspaceH handle);
C_EXPORT void QWorkspace_activatePreviousWindow(QWorkspaceH handle);

#endif
