
#ifndef c_qtypes_H
#define c_qtypes_H

#include <QtCore>
#include <QtGui>
#include <qapplication.h>

typedef uint WFlags;
typedef int QCOORDH;

typedef struct {
  void *func;
  void *data;
} QHook;
typedef QHook QHookH;

typedef struct {
  int x_or_y;
  int y_or_x;
} TQtPoint;
typedef TQtPoint *PQtPoint;

typedef struct {
  int cx;
  int cy;
} TSize;
typedef TSize *PSize;

typedef struct {
  unsigned short data;
} TSizePolicy;
typedef TSizePolicy *PSizePolicy;

typedef struct {
    uint spec;
    ushort alpha;
    ushort red;
    ushort green;
    ushort blue;
    ushort pad;
} TQColor;
typedef TQColor *PQColor;

#if defined DARWIN
typedef struct CGImage *CGImageRef;
#endif

typedef struct QAbstractButton__ { PTRINT dummy; } *QAbstractButtonH;

typedef struct QMainWindow__ { PTRINT dummy; } *QMainWindowH;

typedef struct QStyleOptionDockWidget__ { PTRINT dummy; } *QStyleOptionDockWidgetH;

typedef struct QSizePolicy__ { PTRINT dummy; } *QSizePolicyH;

typedef struct QStandardItemModel__ { PTRINT dummy; } *QStandardItemModelH;

typedef struct QTextTableFormat__ { PTRINT dummy; } *QTextTableFormatH;

typedef struct QGraphicsScene__ { PTRINT dummy; } *QGraphicsSceneH;

typedef struct QDrag__ { PTRINT dummy; } *QDragH;

typedef struct QPicture__ { PTRINT dummy; } *QPictureH;

typedef struct QDir__ { PTRINT dummy; } *QDirH;

typedef struct QSizeGrip__ { PTRINT dummy; } *QSizeGripH;

typedef struct QStyleOptionSlider__ { PTRINT dummy; } *QStyleOptionSliderH;

typedef struct QStyleOptionComboBox__ { PTRINT dummy; } *QStyleOptionComboBoxH;

typedef struct QTextInlineObject__ { PTRINT dummy; } *QTextInlineObjectH;

typedef struct QTextList__ { PTRINT dummy; } *QTextListH;

typedef struct QRadioButton__ { PTRINT dummy; } *QRadioButtonH;

typedef struct QStyleHintReturnVariant__ { PTRINT dummy; } *QStyleHintReturnVariantH;

typedef struct QHeaderView__ { PTRINT dummy; } *QHeaderViewH;

typedef struct QX11Info__ { PTRINT dummy; } *QX11InfoH;

typedef struct QAbstractSpinBox__ { PTRINT dummy; } *QAbstractSpinBoxH;

typedef struct QTreeView__ { PTRINT dummy; } *QTreeViewH;

typedef struct QPrintDialog__ { PTRINT dummy; } *QPrintDialogH;

typedef struct QComboBox__ { PTRINT dummy; } *QComboBoxH;

typedef struct QPoint__ { PTRINT dummy; } *QPointH;

typedef struct QFontDatabase__ { PTRINT dummy; } *QFontDatabaseH;

typedef struct QPaintDevice__ { PTRINT dummy; } *QPaintDeviceH;

typedef struct QTableView__ { PTRINT dummy; } *QTableViewH;

typedef struct QScrollBar__ { PTRINT dummy; } *QScrollBarH;

typedef struct QTimer__ { PTRINT dummy; } *QTimerH;

typedef struct QDragMoveEvent__ { PTRINT dummy; } *QDragMoveEventH;

typedef struct QTabWidget__ { PTRINT dummy; } *QTabWidgetH;

typedef struct QRegExpValidator__ { PTRINT dummy; } *QRegExpValidatorH;

typedef struct QSpacerItem__ { PTRINT dummy; } *QSpacerItemH;

typedef struct QTableWidgetSelectionRange__ { PTRINT dummy; } *QTableWidgetSelectionRangeH;

typedef struct QBrush__ { PTRINT dummy; } *QBrushH;

typedef struct QModelIndex__ { PTRINT dummy; } *QModelIndexH;

typedef struct QLocale__ { PTRINT dummy; } *QLocaleH;

typedef struct QAbstractItemDelegate__ { PTRINT dummy; } *QAbstractItemDelegateH;

typedef struct QIconEngine__ { PTRINT dummy; } *QIconEngineH;

typedef struct QTextBrowser__ { PTRINT dummy; } *QTextBrowserH;

typedef struct QPushButton__ { PTRINT dummy; } *QPushButtonH;

typedef struct QRadialGradient__ { PTRINT dummy; } *QRadialGradientH;

typedef struct QDynamicPropertyChangeEvent__ { PTRINT dummy; } *QDynamicPropertyChangeEventH;

typedef struct QStyleOptionGroupBox__ { PTRINT dummy; } *QStyleOptionGroupBoxH;

typedef struct QStyle__ { PTRINT dummy; } *QStyleH;

typedef struct QFont__ { PTRINT dummy; } *QFontH;

typedef struct QSplitter__ { PTRINT dummy; } *QSplitterH;

typedef struct QLCLTabWidget__ { PTRINT dummy; } *QLCLTabWidgetH;

typedef struct QSizeF__ { PTRINT dummy; } *QSizeFH;

typedef struct QInputContext__ { PTRINT dummy; } *QInputContextH;

typedef struct QToolBox__ { PTRINT dummy; } *QToolBoxH;

typedef struct QGraphicsPolygonItem__ { PTRINT dummy; } *QGraphicsPolygonItemH;

typedef struct QTextDocumentFragment__ { PTRINT dummy; } *QTextDocumentFragmentH;

typedef struct QTableWidgetItem__ { PTRINT dummy; } *QTableWidgetItemH;

typedef struct QTextImageFormat__ { PTRINT dummy; } *QTextImageFormatH;

typedef struct QThread__ { PTRINT dummy; } *QThreadH;

typedef struct QWhatsThisClickedEvent__ { PTRINT dummy; } *QWhatsThisClickedEventH;

typedef struct QInputEvent__ { PTRINT dummy; } *QInputEventH;

typedef struct QAbstractPrintDialog__ { PTRINT dummy; } *QAbstractPrintDialogH;

typedef struct QFontMetricsF__ { PTRINT dummy; } *QFontMetricsFH;

typedef struct QChar__ { PTRINT dummy; } *QCharH;

typedef struct QTransform__ { PTRINT dummy; } *QTransformH;

typedef struct QGraphicsEllipseItem__ { PTRINT dummy; } *QGraphicsEllipseItemH;

typedef struct QSlider__ { PTRINT dummy; } *QSliderH;

typedef struct QMetaObject__ { PTRINT dummy; } *QMetaObjectH;

typedef struct QTextBlock__ { PTRINT dummy; } *QTextBlockH;

typedef struct QMessageBox__ { PTRINT dummy; } *QMessageBoxH;

typedef struct QLCDNumber__ { PTRINT dummy; } *QLCDNumberH;

typedef struct QStyleOptionProgressBarV2__ { PTRINT dummy; } *QStyleOptionProgressBarV2H;

typedef struct QTextCharFormat__ { PTRINT dummy; } *QTextCharFormatH;

typedef struct QShowEvent__ { PTRINT dummy; } *QShowEventH;

typedef struct QPixmap__ { PTRINT dummy; } *QPixmapH;

typedef struct QTextBlockFormat__ { PTRINT dummy; } *QTextBlockFormatH;

typedef struct QTreeWidgetItem__ { PTRINT dummy; } *QTreeWidgetItemH;

typedef struct QAbstractItemView__ { PTRINT dummy; } *QAbstractItemViewH;

typedef struct QPictureIO__ { PTRINT dummy; } *QPictureIOH;

typedef struct QFileSystemWatcher__ { PTRINT dummy; } *QFileSystemWatcherH;

typedef struct QVBoxLayout__ { PTRINT dummy; } *QVBoxLayoutH;

typedef struct QTime__ { PTRINT dummy; } *QTimeH;

typedef struct QContextMenuEvent__ { PTRINT dummy; } *QContextMenuEventH;

typedef struct QTabBar__ { PTRINT dummy; } *QTabBarH;

typedef struct QStyleHintReturn__ { PTRINT dummy; } *QStyleHintReturnH;

typedef struct QTextObjectInterface__ { PTRINT dummy; } *QTextObjectInterfaceH;

typedef struct QString__ { PTRINT dummy; } *QStringH;

typedef struct QLCLAbstractScrollArea__ { PTRINT dummy; } *QLCLAbstractScrollAreaH;

typedef struct QValidator__ { PTRINT dummy; } *QValidatorH;

typedef struct QStyleOptionViewItemV4__ { PTRINT dummy; } *QStyleOptionViewItemV4H;

typedef struct QStyleOptionProgressBar__ { PTRINT dummy; } *QStyleOptionProgressBarH;

typedef struct QStyledItemDelegate__ { PTRINT dummy; } *QStyledItemDelegateH;

typedef struct QConicalGradient__ { PTRINT dummy; } *QConicalGradientH;

typedef struct QScrollArea__ { PTRINT dummy; } *QScrollAreaH;

typedef struct QPrintPreviewWidget__ { PTRINT dummy; } *QPrintPreviewWidgetH;

typedef struct QProgressDialog__ { PTRINT dummy; } *QProgressDialogH;

typedef struct QIconDragEvent__ { PTRINT dummy; } *QIconDragEventH;

typedef struct QStatusTipEvent__ { PTRINT dummy; } *QStatusTipEventH;

typedef struct QGroupBox__ { PTRINT dummy; } *QGroupBoxH;

typedef struct QImageReader__ { PTRINT dummy; } *QImageReaderH;

typedef struct QStyleOptionQ3DockWindow__ { PTRINT dummy; } *QStyleOptionQ3DockWindowH;

typedef struct QTableWidget__ { PTRINT dummy; } *QTableWidgetH;

typedef struct QMetaEnum__ { PTRINT dummy; } *QMetaEnumH;

typedef struct QTreeWidget__ { PTRINT dummy; } *QTreeWidgetH;

typedef struct QBitmap__ { PTRINT dummy; } *QBitmapH;

typedef struct QAbstractScrollArea__ { PTRINT dummy; } *QAbstractScrollAreaH;

typedef struct QBitArray__ { PTRINT dummy; } *QBitArrayH;

typedef struct QPrintPreviewDialog__ { PTRINT dummy; } *QPrintPreviewDialogH;

typedef struct QWidget__ { PTRINT dummy; } *QWidgetH;

typedef struct QFileIconProvider__ { PTRINT dummy; } *QFileIconProviderH;

typedef struct QTextOption__ { PTRINT dummy; } *QTextOptionH;

typedef struct QPaintEvent__ { PTRINT dummy; } *QPaintEventH;

typedef struct QTimerEvent__ { PTRINT dummy; } *QTimerEventH;

typedef struct QToolBar__ { PTRINT dummy; } *QToolBarH;

typedef struct QListWidget__ { PTRINT dummy; } *QListWidgetH;

typedef struct QStyleOptionTab__ { PTRINT dummy; } *QStyleOptionTabH;

typedef struct QDecoration__ { PTRINT dummy; } *QDecorationH;

typedef struct QInputMethodEvent__ { PTRINT dummy; } *QInputMethodEventH;

typedef struct QDoubleSpinBox__ { PTRINT dummy; } *QDoubleSpinBoxH;

typedef struct QDate__ { PTRINT dummy; } *QDateH;

typedef struct QInputDialog__ { PTRINT dummy; } *QInputDialogH;

typedef struct QAbstractListModel__ { PTRINT dummy; } *QAbstractListModelH;

typedef struct QStyleOptionTitleBar__ { PTRINT dummy; } *QStyleOptionTitleBarH;

typedef struct QKeySequence__ { PTRINT dummy; } *QKeySequenceH;

typedef struct QItemSelectionModel__ { PTRINT dummy; } *QItemSelectionModelH;

typedef struct QCoreApplication__ { PTRINT dummy; } *QCoreApplicationH;

typedef struct QDockWidget__ { PTRINT dummy; } *QDockWidgetH;

typedef struct QLine__ { PTRINT dummy; } *QLineH;

typedef struct QImageIOHandler__ { PTRINT dummy; } *QImageIOHandlerH;

typedef struct QStyleOptionFrame__ { PTRINT dummy; } *QStyleOptionFrameH;

typedef struct QGraphicsPathItem__ { PTRINT dummy; } *QGraphicsPathItemH;

typedef struct QGradient__ { PTRINT dummy; } *QGradientH;

typedef struct QEvent__ { PTRINT dummy; } *QEventH;

typedef struct QStyleHintReturnMask__ { PTRINT dummy; } *QStyleHintReturnMaskH;

typedef struct QGraphicsWidget__ { PTRINT dummy; } *QGraphicsWidgetH;

typedef struct QByteArray__ { PTRINT dummy; } *QByteArrayH;

typedef struct QAbstractSlider__ { PTRINT dummy; } *QAbstractSliderH;

typedef struct QStyleOptionSpinBox__ { PTRINT dummy; } *QStyleOptionSpinBoxH;

typedef struct QButtonGroup__ { PTRINT dummy; } *QButtonGroupH;

typedef struct QPrinterInfo__ { PTRINT dummy; } *QPrinterInfoH;

typedef struct QApplication__ { PTRINT dummy; } *QApplicationH;

typedef struct QFocusEvent__ { PTRINT dummy; } *QFocusEventH;

typedef struct QLCLAbstractSpinBox__ { PTRINT dummy; } *QLCLAbstractSpinBoxH;

typedef struct QMimeSource__ { PTRINT dummy; } *QMimeSourceH;

typedef struct QGraphicsProxyWidget__ { PTRINT dummy; } *QGraphicsProxyWidgetH;

typedef struct QMetaClassInfo__ { PTRINT dummy; } *QMetaClassInfoH;

typedef struct QFrame__ { PTRINT dummy; } *QFrameH;

typedef struct QPointF__ { PTRINT dummy; } *QPointFH;

typedef struct QCloseEvent__ { PTRINT dummy; } *QCloseEventH;

typedef struct QImage__ { PTRINT dummy; } *QImageH;

typedef struct QFontInfo__ { PTRINT dummy; } *QFontInfoH;

typedef struct QStyleOptionViewItem__ { PTRINT dummy; } *QStyleOptionViewItemH;

typedef struct QIntValidator__ { PTRINT dummy; } *QIntValidatorH;

typedef struct QPageSetupDialog__ { PTRINT dummy; } *QPageSetupDialogH;

typedef struct QMatrix__ { PTRINT dummy; } *QMatrixH;

typedef struct QAbstractItemModel__ { PTRINT dummy; } *QAbstractItemModelH;

typedef struct QSpinBox__ { PTRINT dummy; } *QSpinBoxH;

typedef struct QTextDocument__ { PTRINT dummy; } *QTextDocumentH;

typedef struct QStyleOptionGraphicsItem__ { PTRINT dummy; } *QStyleOptionGraphicsItemH;

typedef struct QRegion__ { PTRINT dummy; } *QRegionH;

typedef struct QProcess__ { PTRINT dummy; } *QProcessH;

typedef struct QPaintEngine__ { PTRINT dummy; } *QPaintEngineH;

typedef struct QStyleOptionTabWidgetFrame__ { PTRINT dummy; } *QStyleOptionTabWidgetFrameH;

typedef struct QHBoxLayout__ { PTRINT dummy; } *QHBoxLayoutH;

typedef struct QMetaProperty__ { PTRINT dummy; } *QMetaPropertyH;

typedef struct QIconEngineV2__ { PTRINT dummy; } *QIconEngineV2H;

typedef struct QDragEnterEvent__ { PTRINT dummy; } *QDragEnterEventH;

typedef struct QPainterPath__ { PTRINT dummy; } *QPainterPathH;

typedef struct QImageWriter__ { PTRINT dummy; } *QImageWriterH;

typedef struct QDateTime__ { PTRINT dummy; } *QDateTimeH;

typedef struct QGraphicsView__ { PTRINT dummy; } *QGraphicsViewH;

typedef struct QSysInfo__ { PTRINT dummy; } *QSysInfoH;

typedef struct QCheckBox__ { PTRINT dummy; } *QCheckBoxH;

typedef struct QFontMetrics__ { PTRINT dummy; } *QFontMetricsH;

typedef struct QSystemLocale__ { PTRINT dummy; } *QSystemLocaleH;

typedef struct QStyleOptionTabBarBase__ { PTRINT dummy; } *QStyleOptionTabBarBaseH;

typedef struct QDialog__ { PTRINT dummy; } *QDialogH;

typedef struct QEventLoop__ { PTRINT dummy; } *QEventLoopH;

typedef struct QGraphicsLineItem__ { PTRINT dummy; } *QGraphicsLineItemH;

typedef struct QHelpEvent__ { PTRINT dummy; } *QHelpEventH;

typedef struct QGraphicsTextItem__ { PTRINT dummy; } *QGraphicsTextItemH;

typedef struct QActionGroup__ { PTRINT dummy; } *QActionGroupH;

typedef struct QRectF__ { PTRINT dummy; } *QRectFH;

typedef struct QStyleOptionFrameV2__ { PTRINT dummy; } *QStyleOptionFrameV2H;

typedef struct QChildEvent__ { PTRINT dummy; } *QChildEventH;

typedef struct QAbstractTextDocumentLayout__ { PTRINT dummy; } *QAbstractTextDocumentLayoutH;

typedef struct QGraphicsItem__ { PTRINT dummy; } *QGraphicsItemH;

typedef struct QKeyEvent__ { PTRINT dummy; } *QKeyEventH;

typedef struct QItemDelegate__ { PTRINT dummy; } *QItemDelegateH;

typedef struct QToolTip__ { PTRINT dummy; } *QToolTipH;

typedef struct QStyleOptionTabV2__ { PTRINT dummy; } *QStyleOptionTabV2H;

typedef struct QItemEditorCreatorBase__ { PTRINT dummy; } *QItemEditorCreatorBaseH;

typedef struct QLCLItemDelegate__ { PTRINT dummy; } *QLCLItemDelegateH;

typedef struct QLineEdit__ { PTRINT dummy; } *QLineEditH;

typedef struct QWidgetItem__ { PTRINT dummy; } *QWidgetItemH;

typedef struct QMdiArea__ { PTRINT dummy; } *QMdiAreaH;

typedef struct QPolygonF__ { PTRINT dummy; } *QPolygonFH;

typedef struct QStyleOptionRubberBand__ { PTRINT dummy; } *QStyleOptionRubberBandH;

typedef struct QLatin1String__ { PTRINT dummy; } *QLatin1StringH;

typedef struct QPersistentModelIndex__ { PTRINT dummy; } *QPersistentModelIndexH;

typedef struct QStyleOptionButton__ { PTRINT dummy; } *QStyleOptionButtonH;

typedef struct QGraphicsRectItem__ { PTRINT dummy; } *QGraphicsRectItemH;

typedef struct QMenuBar__ { PTRINT dummy; } *QMenuBarH;

typedef struct QLayout__ { PTRINT dummy; } *QLayoutH;

typedef struct QActionEvent__ { PTRINT dummy; } *QActionEventH;

typedef struct QProgressBar__ { PTRINT dummy; } *QProgressBarH;

typedef struct QItemEditorFactory__ { PTRINT dummy; } *QItemEditorFactoryH;

typedef struct QRubberBand__ { PTRINT dummy; } *QRubberBandH;

typedef struct QAbstractEventDispatcher__ { PTRINT dummy; } *QAbstractEventDispatcherH;

typedef struct QClipboard__ { PTRINT dummy; } *QClipboardH;

typedef struct QBoxLayout__ { PTRINT dummy; } *QBoxLayoutH;

typedef struct QLabel__ { PTRINT dummy; } *QLabelH;

typedef struct QStyleOptionMenuItem__ { PTRINT dummy; } *QStyleOptionMenuItemH;

typedef struct QMenu__ { PTRINT dummy; } *QMenuH;

typedef struct QTextObject__ { PTRINT dummy; } *QTextObjectH;

typedef struct QStatusBar__ { PTRINT dummy; } *QStatusBarH;

typedef struct QWorkspace__ { PTRINT dummy; } *QWorkspaceH;

typedef struct QIcon__ { PTRINT dummy; } *QIconH;

typedef struct QStyleOptionHeader__ { PTRINT dummy; } *QStyleOptionHeaderH;

typedef struct QMovie__ { PTRINT dummy; } *QMovieH;

typedef struct QLineF__ { PTRINT dummy; } *QLineFH;

typedef struct QDataStream__ { PTRINT dummy; } *QDataStreamH;

typedef struct QWindowStateChangeEvent__ { PTRINT dummy; } *QWindowStateChangeEventH;

typedef struct QGraphicsSimpleTextItem__ { PTRINT dummy; } *QGraphicsSimpleTextItemH;

typedef struct QWheelEvent__ { PTRINT dummy; } *QWheelEventH;

typedef struct QStyleOptionSizeGrip__ { PTRINT dummy; } *QStyleOptionSizeGripH;

typedef struct QSize__ { PTRINT dummy; } *QSizeH;

typedef struct QWSEvent__ { PTRINT dummy; } *QWSEventH;

typedef struct QGraphicsItemGroup__ { PTRINT dummy; } *QGraphicsItemGroupH;

typedef struct QPolygon__ { PTRINT dummy; } *QPolygonH;

typedef struct QListWidgetItem__ { PTRINT dummy; } *QListWidgetItemH;

typedef struct QStringList__ { PTRINT dummy; } *QStringListH;

typedef struct QItemSelectionRange__ { PTRINT dummy; } *QItemSelectionRangeH;

typedef struct QMouseEvent__ { PTRINT dummy; } *QMouseEventH;

typedef struct QFileDialog__ { PTRINT dummy; } *QFileDialogH;

typedef struct QTranslator__ { PTRINT dummy; } *QTranslatorH;

typedef struct QStyleOptionToolBox__ { PTRINT dummy; } *QStyleOptionToolBoxH;

typedef struct QAbstractTableModel__ { PTRINT dummy; } *QAbstractTableModelH;

typedef struct QRegExp__ { PTRINT dummy; } *QRegExpH;

typedef struct QPalette__ { PTRINT dummy; } *QPaletteH;

typedef struct QAbstractProxyModel__ { PTRINT dummy; } *QAbstractProxyModelH;

typedef struct QMimeData__ { PTRINT dummy; } *QMimeDataH;

typedef struct QTextCursor__ { PTRINT dummy; } *QTextCursorH;

typedef struct QTextLine__ { PTRINT dummy; } *QTextLineH;

typedef struct QStandardItem__ { PTRINT dummy; } *QStandardItemH;

typedef struct QStyleOptionFocusRect__ { PTRINT dummy; } *QStyleOptionFocusRectH;

typedef struct QColor__ { PTRINT dummy; } *QColorH;

typedef struct QLCLMessageEvent__ { PTRINT dummy; } *QLCLMessageEventH;

typedef struct QListView__ { PTRINT dummy; } *QListViewH;

typedef struct QFileOpenEvent__ { PTRINT dummy; } *QFileOpenEventH;

typedef struct QUrl__ { PTRINT dummy; } *QUrlH;

typedef struct QTextEdit__ { PTRINT dummy; } *QTextEditH;

typedef struct QGraphicsPixmapItem__ { PTRINT dummy; } *QGraphicsPixmapItemH;

typedef struct QObject__ { PTRINT dummy; } *QObjectH;

typedef struct QDropEvent__ { PTRINT dummy; } *QDropEventH;

typedef struct QSocketNotifier__ { PTRINT dummy; } *QSocketNotifierH;

typedef struct QGridLayout__ { PTRINT dummy; } *QGridLayoutH;

typedef struct QMdiSubWindow__ { PTRINT dummy; } *QMdiSubWindowH;

typedef struct QTextFormat__ { PTRINT dummy; } *QTextFormatH;

typedef struct QFontDialog__ { PTRINT dummy; } *QFontDialogH;

typedef struct QCursor__ { PTRINT dummy; } *QCursorH;

typedef struct QLayoutItem__ { PTRINT dummy; } *QLayoutItemH;

typedef struct QPainter__ { PTRINT dummy; } *QPainterH;

typedef struct QPrinter__ { PTRINT dummy; } *QPrinterH;

typedef struct QHideEvent__ { PTRINT dummy; } *QHideEventH;

typedef struct QStyleOptionToolBar__ { PTRINT dummy; } *QStyleOptionToolBarH;

typedef struct QVariant__ { PTRINT dummy; } *QVariantH;

typedef struct QTextLayout__ { PTRINT dummy; } *QTextLayoutH;

typedef struct QTabletEvent__ { PTRINT dummy; } *QTabletEventH;

typedef struct QSystemTrayIcon__ { PTRINT dummy; } *QSystemTrayIconH;

typedef struct QStyleOptionQ3ListViewItem__ { PTRINT dummy; } *QStyleOptionQ3ListViewItemH;

typedef struct QDesktopWidget__ { PTRINT dummy; } *QDesktopWidgetH;

typedef struct QHoverEvent__ { PTRINT dummy; } *QHoverEventH;

typedef struct QMoveEvent__ { PTRINT dummy; } *QMoveEventH;

typedef struct QPen__ { PTRINT dummy; } *QPenH;

typedef struct QStyleOptionComplex__ { PTRINT dummy; } *QStyleOptionComplexH;

typedef struct QCompleter__ { PTRINT dummy; } *QCompleterH;

typedef struct QIODevice__ { PTRINT dummy; } *QIODeviceH;

typedef struct QDragLeaveEvent__ { PTRINT dummy; } *QDragLeaveEventH;

typedef struct QTextFrameFormat__ { PTRINT dummy; } *QTextFrameFormatH;

typedef struct QToolButton__ { PTRINT dummy; } *QToolButtonH;

typedef struct QResizeEvent__ { PTRINT dummy; } *QResizeEventH;

typedef struct QTextFrame__ { PTRINT dummy; } *QTextFrameH;

typedef struct QRect__ { PTRINT dummy; } *QRectH;

typedef struct QSessionManager__ { PTRINT dummy; } *QSessionManagerH;

typedef struct QShortcutEvent__ { PTRINT dummy; } *QShortcutEventH;

typedef struct QPainterPathStroker__ { PTRINT dummy; } *QPainterPathStrokerH;

typedef struct QColorDialog__ { PTRINT dummy; } *QColorDialogH;

typedef struct QAction__ { PTRINT dummy; } *QActionH;

typedef struct QStyleOptionQ3ListView__ { PTRINT dummy; } *QStyleOptionQ3ListViewH;

typedef struct QDoubleValidator__ { PTRINT dummy; } *QDoubleValidatorH;

typedef struct QLinearGradient__ { PTRINT dummy; } *QLinearGradientH;

typedef struct QTextTable__ { PTRINT dummy; } *QTextTableH;

typedef struct QStyleOption__ { PTRINT dummy; } *QStyleOptionH;

typedef struct QPrintEngine__ { PTRINT dummy; } *QPrintEngineH;

typedef struct QStyleOptionToolButton__ { PTRINT dummy; } *QStyleOptionToolButtonH;

typedef struct QSplitterHandle__ { PTRINT dummy; } *QSplitterHandleH;

typedef struct QMetaMethod__ { PTRINT dummy; } *QMetaMethodH;

typedef struct QStyleFactory__ { PTRINT dummy; } *QStyleFactoryH;

typedef struct QCalendarWidget__ { PTRINT dummy; } *QCalendarWidgetH;

typedef struct QStyleOptionToolBoxV2__ { PTRINT dummy; } *QStyleOptionToolBoxV2H;

#endif
